# IO.Swagger.Api.PointsApi

All URIs are relative to *https://history.weathersourceapis.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**PointsLatitudelongitudeDaysDateGet**](PointsApi.md#pointslatitudelongitudedaysdateget) | **GET** /points/{latitude},{longitude}/days/{date} | A day of weather history for a Latitude/Longitude point.
[**PointsLatitudelongitudeDaysDateStartdateEndGet**](PointsApi.md#pointslatitudelongitudedaysdatestartdateendget) | **GET** /points/{latitude},{longitude}/days/{dateStart},{dateEnd} | A contiguous range of daily weather history for a Latitude/Longitude point.
[**PointsLatitudelongitudeHoursTimestampGet**](PointsApi.md#pointslatitudelongitudehourstimestampget) | **GET** /points/{latitude},{longitude}/hours/{timestamp} | An hour of weather history for a Latitude/Longitude point.
[**PointsLatitudelongitudeHoursTimestampStarttimestampEndGet**](PointsApi.md#pointslatitudelongitudehourstimestampstarttimestampendget) | **GET** /points/{latitude},{longitude}/hours/{timestampStart},{timestampEnd} | A contiguous range of hourly weather history for a Latitude/Longitude point.

<a name="pointslatitudelongitudedaysdateget"></a>
# **PointsLatitudelongitudeDaysDateGet**
> HistoryPointDayObj PointsLatitudelongitudeDaysDateGet (float? latitude, float? longitude, DateTime? date, List<string> fields, string unitScale = null)

A day of weather history for a Latitude/Longitude point.

Returns a single day of historical weather data for a Latitude/Longitude point.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class PointsLatitudelongitudeDaysDateGetExample
    {
        public void main()
        {
            // Configure API key authorization: ApiKeyAuth
            Configuration.Default.AddApiKey("X-API-KEY", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.AddApiKeyPrefix("X-API-KEY", "Bearer");

            var apiInstance = new PointsApi();
            var latitude = 3.4;  // float? | A latitude value between -90° and 90°.
            var longitude = 3.4;  // float? | A longitude value between -180° (West) and 180° (East).
            var date = 2013-10-20;  // DateTime? | An date formatted as a RFC3339 date value.
            var fields = new List<string>(); // List<string> | A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)* * allCldCvr *(derivatives of cldCvr)* * allHum *(derivatives of relHum, spcHum)* * allPrecip *(precip, snowDepth, snowfall)* * allPres *(derivatives of mslPres, presTend, sfcPres)* * allRad *(derivatives of radSolar)* * allTemp *(derivatives of dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(derivatives of windDir, windDir80m, windDir100m, windSpd, windSpd80m, windSpd100m)* * popular *(derivatives of cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)* 
            var unitScale = unitScale_example;  // string | The unit scale for returned values.<br> (optional)  (default to IMPERIAL)

            try
            {
                // A day of weather history for a Latitude/Longitude point.
                HistoryPointDayObj result = apiInstance.PointsLatitudelongitudeDaysDateGet(latitude, longitude, date, fields, unitScale);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling PointsApi.PointsLatitudelongitudeDaysDateGet: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **latitude** | **float?**| A latitude value between -90° and 90°. | 
 **longitude** | **float?**| A longitude value between -180° (West) and 180° (East). | 
 **date** | **DateTime?**| An date formatted as a RFC3339 date value. | 
 **fields** | [**List&lt;string&gt;**](string.md)| A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)* * allCldCvr *(derivatives of cldCvr)* * allHum *(derivatives of relHum, spcHum)* * allPrecip *(precip, snowDepth, snowfall)* * allPres *(derivatives of mslPres, presTend, sfcPres)* * allRad *(derivatives of radSolar)* * allTemp *(derivatives of dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(derivatives of windDir, windDir80m, windDir100m, windSpd, windSpd80m, windSpd100m)* * popular *(derivatives of cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  | 
 **unitScale** | **string**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL]

### Return type

[**HistoryPointDayObj**](HistoryPointDayObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)
<a name="pointslatitudelongitudedaysdatestartdateendget"></a>
# **PointsLatitudelongitudeDaysDateStartdateEndGet**
> HistoryPointDayObj PointsLatitudelongitudeDaysDateStartdateEndGet (float? latitude, float? longitude, DateTime? dateStart, DateTime? dateEnd, List<string> fields, string unitScale = null)

A contiguous range of daily weather history for a Latitude/Longitude point.

Returns a contiguous range of daily historical weather data for a Latitude/Longitude point.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class PointsLatitudelongitudeDaysDateStartdateEndGetExample
    {
        public void main()
        {
            // Configure API key authorization: ApiKeyAuth
            Configuration.Default.AddApiKey("X-API-KEY", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.AddApiKeyPrefix("X-API-KEY", "Bearer");

            var apiInstance = new PointsApi();
            var latitude = 3.4;  // float? | A latitude value between -90° and 90°.
            var longitude = 3.4;  // float? | A longitude value between -180° (West) and 180° (East).
            var dateStart = 2013-10-20;  // DateTime? | An date formatted as a RFC3339 date value that must occur temporally before dateEnd.
            var dateEnd = 2013-10-20;  // DateTime? | An date formatted as a RFC3339 date value that must occur temporally after dateStart.
            var fields = new List<string>(); // List<string> | A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)* * allCldCvr *(derivatives of cldCvr)* * allHum *(derivatives of relHum, spcHum)* * allPrecip *(precip, snowDepth, snowfall)* * allPres *(derivatives of mslPres, presTend, sfcPres)* * allRad *(derivatives of radSolar)* * allTemp *(derivatives of dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(derivatives of windDir, windDir80m, windDir100m, windSpd, windSpd80m, windSpd100m)* * popular *(derivatives of cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)* 
            var unitScale = unitScale_example;  // string | The unit scale for returned values.<br> (optional)  (default to IMPERIAL)

            try
            {
                // A contiguous range of daily weather history for a Latitude/Longitude point.
                HistoryPointDayObj result = apiInstance.PointsLatitudelongitudeDaysDateStartdateEndGet(latitude, longitude, dateStart, dateEnd, fields, unitScale);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling PointsApi.PointsLatitudelongitudeDaysDateStartdateEndGet: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **latitude** | **float?**| A latitude value between -90° and 90°. | 
 **longitude** | **float?**| A longitude value between -180° (West) and 180° (East). | 
 **dateStart** | **DateTime?**| An date formatted as a RFC3339 date value that must occur temporally before dateEnd. | 
 **dateEnd** | **DateTime?**| An date formatted as a RFC3339 date value that must occur temporally after dateStart. | 
 **fields** | [**List&lt;string&gt;**](string.md)| A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)* * allCldCvr *(derivatives of cldCvr)* * allHum *(derivatives of relHum, spcHum)* * allPrecip *(precip, snowDepth, snowfall)* * allPres *(derivatives of mslPres, presTend, sfcPres)* * allRad *(derivatives of radSolar)* * allTemp *(derivatives of dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(derivatives of windDir, windDir80m, windDir100m, windSpd, windSpd80m, windSpd100m)* * popular *(derivatives of cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  | 
 **unitScale** | **string**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL]

### Return type

[**HistoryPointDayObj**](HistoryPointDayObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)
<a name="pointslatitudelongitudehourstimestampget"></a>
# **PointsLatitudelongitudeHoursTimestampGet**
> HistoryPointHourObj PointsLatitudelongitudeHoursTimestampGet (float? latitude, float? longitude, DateTime? timestamp, List<string> fields, string unitScale = null)

An hour of weather history for a Latitude/Longitude point.

Returns a single hour of historical weather data for a Latitude/Longitude point.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class PointsLatitudelongitudeHoursTimestampGetExample
    {
        public void main()
        {
            // Configure API key authorization: ApiKeyAuth
            Configuration.Default.AddApiKey("X-API-KEY", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.AddApiKeyPrefix("X-API-KEY", "Bearer");

            var apiInstance = new PointsApi();
            var latitude = 3.4;  // float? | A latitude value between -90° and 90°.
            var longitude = 3.4;  // float? | A longitude value between -180° (West) and 180° (East).
            var timestamp = 2013-10-20T19:20:30+01:00;  // DateTime? | A timestamp formatted as an RFC3339 date-time value. The UTC offset is required.
            var fields = new List<string>(); // List<string> | A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(cldCvr)* * allHum *(relHum, spcHum)* * allPrecip *(precip, snowfall)* * allPres *(mslPres, presTend, sfcPres)* * allRad *(radSolar)* * allTemp *(dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(windDir, windDir80m, windDir100m, windSpd, windSpd80m, windSpd100m)* * popular *(cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)* 
            var unitScale = unitScale_example;  // string | The unit scale for returned values.<br> (optional)  (default to IMPERIAL)

            try
            {
                // An hour of weather history for a Latitude/Longitude point.
                HistoryPointHourObj result = apiInstance.PointsLatitudelongitudeHoursTimestampGet(latitude, longitude, timestamp, fields, unitScale);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling PointsApi.PointsLatitudelongitudeHoursTimestampGet: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **latitude** | **float?**| A latitude value between -90° and 90°. | 
 **longitude** | **float?**| A longitude value between -180° (West) and 180° (East). | 
 **timestamp** | **DateTime?**| A timestamp formatted as an RFC3339 date-time value. The UTC offset is required. | 
 **fields** | [**List&lt;string&gt;**](string.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(cldCvr)* * allHum *(relHum, spcHum)* * allPrecip *(precip, snowfall)* * allPres *(mslPres, presTend, sfcPres)* * allRad *(radSolar)* * allTemp *(dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(windDir, windDir80m, windDir100m, windSpd, windSpd80m, windSpd100m)* * popular *(cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  | 
 **unitScale** | **string**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL]

### Return type

[**HistoryPointHourObj**](HistoryPointHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)
<a name="pointslatitudelongitudehourstimestampstarttimestampendget"></a>
# **PointsLatitudelongitudeHoursTimestampStarttimestampEndGet**
> HistoryPointHourObj PointsLatitudelongitudeHoursTimestampStarttimestampEndGet (float? latitude, float? longitude, DateTime? timestampStart, DateTime? timestampEnd, List<string> fields, string unitScale = null)

A contiguous range of hourly weather history for a Latitude/Longitude point.

Returns a contiguous range of hourly historical weather data for a Latitude/Longitude point.

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class PointsLatitudelongitudeHoursTimestampStarttimestampEndGetExample
    {
        public void main()
        {
            // Configure API key authorization: ApiKeyAuth
            Configuration.Default.AddApiKey("X-API-KEY", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.AddApiKeyPrefix("X-API-KEY", "Bearer");

            var apiInstance = new PointsApi();
            var latitude = 3.4;  // float? | A latitude value between -90° and 90°.
            var longitude = 3.4;  // float? | A longitude value between -180° (West) and 180° (East).
            var timestampStart = 2013-10-20T19:20:30+01:00;  // DateTime? | A timestamp formatted as an RFC3339 date-time value that must occur temporally before timestampEnd. The UTC offset is required.
            var timestampEnd = 2013-10-20T19:20:30+01:00;  // DateTime? | A timestamp formatted as an RFC3339 date-time value that must occur temporally after timestampStart. The UTC offset is required.
            var fields = new List<string>(); // List<string> | A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(cldCvr)* * allHum *(relHum, spcHum)* * allPrecip *(precip, snowfall)* * allPres *(mslPres, presTend, sfcPres)* * allRad *(radSolar)* * allTemp *(dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(windDir, windDir80m, windDir100m, windSpd, windSpd80m, windSpd100m)* * popular *(cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)* 
            var unitScale = unitScale_example;  // string | The unit scale for returned values.<br> (optional)  (default to IMPERIAL)

            try
            {
                // A contiguous range of hourly weather history for a Latitude/Longitude point.
                HistoryPointHourObj result = apiInstance.PointsLatitudelongitudeHoursTimestampStarttimestampEndGet(latitude, longitude, timestampStart, timestampEnd, fields, unitScale);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling PointsApi.PointsLatitudelongitudeHoursTimestampStarttimestampEndGet: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **latitude** | **float?**| A latitude value between -90° and 90°. | 
 **longitude** | **float?**| A longitude value between -180° (West) and 180° (East). | 
 **timestampStart** | **DateTime?**| A timestamp formatted as an RFC3339 date-time value that must occur temporally before timestampEnd. The UTC offset is required. | 
 **timestampEnd** | **DateTime?**| A timestamp formatted as an RFC3339 date-time value that must occur temporally after timestampStart. The UTC offset is required. | 
 **fields** | [**List&lt;string&gt;**](string.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(cldCvr)* * allHum *(relHum, spcHum)* * allPrecip *(precip, snowfall)* * allPres *(mslPres, presTend, sfcPres)* * allRad *(radSolar)* * allTemp *(dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(windDir, windDir80m, windDir100m, windSpd, windSpd80m, windSpd100m)* * popular *(cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  | 
 **unitScale** | **string**| The unit scale for returned values.&lt;br&gt; | [optional] [default to IMPERIAL]

### Return type

[**HistoryPointHourObj**](HistoryPointHourObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)
