/* 
 * Weather Source History API
 *
 * Daily and hourly historical weather data for latitude/longitude points, Zip/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source History API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 */
using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using NUnit.Framework;

using IO.Swagger.Client;
using IO.Swagger.Api;
using IO.Swagger.Model;

namespace IO.Swagger.Test
{
    /// <summary>
    ///  Class for testing PointsApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by Swagger Codegen.
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    [TestFixture]
    public class PointsApiTests
    {
        private PointsApi instance;

        /// <summary>
        /// Setup before each unit test
        /// </summary>
        [SetUp]
        public void Init()
        {
            instance = new PointsApi();
        }

        /// <summary>
        /// Clean up after each unit test
        /// </summary>
        [TearDown]
        public void Cleanup()
        {

        }

        /// <summary>
        /// Test an instance of PointsApi
        /// </summary>
        [Test]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsInstanceOfType' PointsApi
            //Assert.IsInstanceOfType(typeof(PointsApi), instance, "instance is a PointsApi");
        }

        /// <summary>
        /// Test PointsLatitudelongitudeDaysDateGet
        /// </summary>
        [Test]
        public void PointsLatitudelongitudeDaysDateGetTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //float? latitude = null;
            //float? longitude = null;
            //DateTime? date = null;
            //List<string> fields = null;
            //string unitScale = null;
            //var response = instance.PointsLatitudelongitudeDaysDateGet(latitude, longitude, date, fields, unitScale);
            //Assert.IsInstanceOf<HistoryPointDayObj> (response, "response is HistoryPointDayObj");
        }
        /// <summary>
        /// Test PointsLatitudelongitudeDaysDateStartdateEndGet
        /// </summary>
        [Test]
        public void PointsLatitudelongitudeDaysDateStartdateEndGetTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //float? latitude = null;
            //float? longitude = null;
            //DateTime? dateStart = null;
            //DateTime? dateEnd = null;
            //List<string> fields = null;
            //string unitScale = null;
            //var response = instance.PointsLatitudelongitudeDaysDateStartdateEndGet(latitude, longitude, dateStart, dateEnd, fields, unitScale);
            //Assert.IsInstanceOf<HistoryPointDayObj> (response, "response is HistoryPointDayObj");
        }
        /// <summary>
        /// Test PointsLatitudelongitudeHoursTimestampGet
        /// </summary>
        [Test]
        public void PointsLatitudelongitudeHoursTimestampGetTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //float? latitude = null;
            //float? longitude = null;
            //DateTime? timestamp = null;
            //List<string> fields = null;
            //string unitScale = null;
            //var response = instance.PointsLatitudelongitudeHoursTimestampGet(latitude, longitude, timestamp, fields, unitScale);
            //Assert.IsInstanceOf<HistoryPointHourObj> (response, "response is HistoryPointHourObj");
        }
        /// <summary>
        /// Test PointsLatitudelongitudeHoursTimestampStarttimestampEndGet
        /// </summary>
        [Test]
        public void PointsLatitudelongitudeHoursTimestampStarttimestampEndGetTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //float? latitude = null;
            //float? longitude = null;
            //DateTime? timestampStart = null;
            //DateTime? timestampEnd = null;
            //List<string> fields = null;
            //string unitScale = null;
            //var response = instance.PointsLatitudelongitudeHoursTimestampStarttimestampEndGet(latitude, longitude, timestampStart, timestampEnd, fields, unitScale);
            //Assert.IsInstanceOf<HistoryPointHourObj> (response, "response is HistoryPointHourObj");
        }
    }

}
