/* 
 * Weather Source History API
 *
 * Daily and hourly historical weather data for latitude/longitude points, Zip/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source History API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 */
using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using NUnit.Framework;

using IO.Swagger.Client;
using IO.Swagger.Api;
using IO.Swagger.Model;

namespace IO.Swagger.Test
{
    /// <summary>
    ///  Class for testing PostcodesApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by Swagger Codegen.
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    [TestFixture]
    public class PostcodesApiTests
    {
        private PostcodesApi instance;

        /// <summary>
        /// Setup before each unit test
        /// </summary>
        [SetUp]
        public void Init()
        {
            instance = new PostcodesApi();
        }

        /// <summary>
        /// Clean up after each unit test
        /// </summary>
        [TearDown]
        public void Cleanup()
        {

        }

        /// <summary>
        /// Test an instance of PostcodesApi
        /// </summary>
        [Test]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsInstanceOfType' PostcodesApi
            //Assert.IsInstanceOfType(typeof(PostcodesApi), instance, "instance is a PostcodesApi");
        }

        /// <summary>
        /// Test PostcodesPostcodecountryCodeDaysDateGet
        /// </summary>
        [Test]
        public void PostcodesPostcodecountryCodeDaysDateGetTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string postcode = null;
            //string countryCode = null;
            //DateTime? date = null;
            //List<string> fields = null;
            //string unitScale = null;
            //var response = instance.PostcodesPostcodecountryCodeDaysDateGet(postcode, countryCode, date, fields, unitScale);
            //Assert.IsInstanceOf<HistoryPostcodeDayObj> (response, "response is HistoryPostcodeDayObj");
        }
        /// <summary>
        /// Test PostcodesPostcodecountryCodeDaysDateStartdateEndGet
        /// </summary>
        [Test]
        public void PostcodesPostcodecountryCodeDaysDateStartdateEndGetTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string postcode = null;
            //string countryCode = null;
            //DateTime? dateStart = null;
            //DateTime? dateEnd = null;
            //List<string> fields = null;
            //string unitScale = null;
            //var response = instance.PostcodesPostcodecountryCodeDaysDateStartdateEndGet(postcode, countryCode, dateStart, dateEnd, fields, unitScale);
            //Assert.IsInstanceOf<HistoryPostcodeDayObj> (response, "response is HistoryPostcodeDayObj");
        }
        /// <summary>
        /// Test PostcodesPostcodecountryCodeHoursTimestampGet
        /// </summary>
        [Test]
        public void PostcodesPostcodecountryCodeHoursTimestampGetTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string postcode = null;
            //string countryCode = null;
            //DateTime? timestamp = null;
            //List<string> fields = null;
            //string unitScale = null;
            //var response = instance.PostcodesPostcodecountryCodeHoursTimestampGet(postcode, countryCode, timestamp, fields, unitScale);
            //Assert.IsInstanceOf<HistoryPostcodeHourObj> (response, "response is HistoryPostcodeHourObj");
        }
        /// <summary>
        /// Test PostcodesPostcodecountryCodeHoursTimestampStarttimestampEndGet
        /// </summary>
        [Test]
        public void PostcodesPostcodecountryCodeHoursTimestampStarttimestampEndGetTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string postcode = null;
            //string countryCode = null;
            //DateTime? timestampStart = null;
            //DateTime? timestampEnd = null;
            //List<string> fields = null;
            //string unitScale = null;
            //var response = instance.PostcodesPostcodecountryCodeHoursTimestampStarttimestampEndGet(postcode, countryCode, timestampStart, timestampEnd, fields, unitScale);
            //Assert.IsInstanceOf<HistoryPostcodeHourObj> (response, "response is HistoryPostcodeHourObj");
        }
    }

}
