/* 
 * Weather Source History API
 *
 * Daily and hourly historical weather data for latitude/longitude points, Zip/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source History API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 */

using NUnit.Framework;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using IO.Swagger.Api;
using IO.Swagger.Model;
using IO.Swagger.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace IO.Swagger.Test
{
    /// <summary>
    ///  Class for testing HistoryDayObj
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by Swagger Codegen.
    /// Please update the test case below to test the model.
    /// </remarks>
    [TestFixture]
    public class HistoryDayObjTests
    {
        // TODO uncomment below to declare an instance variable for HistoryDayObj
        //private HistoryDayObj instance;

        /// <summary>
        /// Setup before each test
        /// </summary>
        [SetUp]
        public void Init()
        {
            // TODO uncomment below to create an instance of HistoryDayObj
            //instance = new HistoryDayObj();
        }

        /// <summary>
        /// Clean up after each test
        /// </summary>
        [TearDown]
        public void Cleanup()
        {

        }

        /// <summary>
        /// Test an instance of HistoryDayObj
        /// </summary>
        [Test]
        public void HistoryDayObjInstanceTest()
        {
            // TODO uncomment below to test "IsInstanceOfType" HistoryDayObj
            //Assert.IsInstanceOfType<HistoryDayObj> (instance, "variable 'instance' is a HistoryDayObj");
        }


        /// <summary>
        /// Test the property 'Date'
        /// </summary>
        [Test]
        public void DateTest()
        {
            // TODO unit test for the property 'Date'
        }
        /// <summary>
        /// Test the property 'ProvisionalFlag'
        /// </summary>
        [Test]
        public void ProvisionalFlagTest()
        {
            // TODO unit test for the property 'ProvisionalFlag'
        }
        /// <summary>
        /// Test the property 'CldCvrMin'
        /// </summary>
        [Test]
        public void CldCvrMinTest()
        {
            // TODO unit test for the property 'CldCvrMin'
        }
        /// <summary>
        /// Test the property 'CldCvrAvg'
        /// </summary>
        [Test]
        public void CldCvrAvgTest()
        {
            // TODO unit test for the property 'CldCvrAvg'
        }
        /// <summary>
        /// Test the property 'CldCvrMax'
        /// </summary>
        [Test]
        public void CldCvrMaxTest()
        {
            // TODO unit test for the property 'CldCvrMax'
        }
        /// <summary>
        /// Test the property 'DewPtMin'
        /// </summary>
        [Test]
        public void DewPtMinTest()
        {
            // TODO unit test for the property 'DewPtMin'
        }
        /// <summary>
        /// Test the property 'DewPtAvg'
        /// </summary>
        [Test]
        public void DewPtAvgTest()
        {
            // TODO unit test for the property 'DewPtAvg'
        }
        /// <summary>
        /// Test the property 'DewPtMax'
        /// </summary>
        [Test]
        public void DewPtMaxTest()
        {
            // TODO unit test for the property 'DewPtMax'
        }
        /// <summary>
        /// Test the property 'FeelsLikeMin'
        /// </summary>
        [Test]
        public void FeelsLikeMinTest()
        {
            // TODO unit test for the property 'FeelsLikeMin'
        }
        /// <summary>
        /// Test the property 'FeelsLikeAvg'
        /// </summary>
        [Test]
        public void FeelsLikeAvgTest()
        {
            // TODO unit test for the property 'FeelsLikeAvg'
        }
        /// <summary>
        /// Test the property 'FeelsLikeMax'
        /// </summary>
        [Test]
        public void FeelsLikeMaxTest()
        {
            // TODO unit test for the property 'FeelsLikeMax'
        }
        /// <summary>
        /// Test the property 'HeatIndexMin'
        /// </summary>
        [Test]
        public void HeatIndexMinTest()
        {
            // TODO unit test for the property 'HeatIndexMin'
        }
        /// <summary>
        /// Test the property 'HeatIndexAvg'
        /// </summary>
        [Test]
        public void HeatIndexAvgTest()
        {
            // TODO unit test for the property 'HeatIndexAvg'
        }
        /// <summary>
        /// Test the property 'HeatIndexMax'
        /// </summary>
        [Test]
        public void HeatIndexMaxTest()
        {
            // TODO unit test for the property 'HeatIndexMax'
        }
        /// <summary>
        /// Test the property 'MslPresMin'
        /// </summary>
        [Test]
        public void MslPresMinTest()
        {
            // TODO unit test for the property 'MslPresMin'
        }
        /// <summary>
        /// Test the property 'MslPresAvg'
        /// </summary>
        [Test]
        public void MslPresAvgTest()
        {
            // TODO unit test for the property 'MslPresAvg'
        }
        /// <summary>
        /// Test the property 'MslPresMax'
        /// </summary>
        [Test]
        public void MslPresMaxTest()
        {
            // TODO unit test for the property 'MslPresMax'
        }
        /// <summary>
        /// Test the property 'Precip'
        /// </summary>
        [Test]
        public void PrecipTest()
        {
            // TODO unit test for the property 'Precip'
        }
        /// <summary>
        /// Test the property 'PresTendMin'
        /// </summary>
        [Test]
        public void PresTendMinTest()
        {
            // TODO unit test for the property 'PresTendMin'
        }
        /// <summary>
        /// Test the property 'PresTendAvg'
        /// </summary>
        [Test]
        public void PresTendAvgTest()
        {
            // TODO unit test for the property 'PresTendAvg'
        }
        /// <summary>
        /// Test the property 'PresTendMax'
        /// </summary>
        [Test]
        public void PresTendMaxTest()
        {
            // TODO unit test for the property 'PresTendMax'
        }
        /// <summary>
        /// Test the property 'RadSolarMin'
        /// </summary>
        [Test]
        public void RadSolarMinTest()
        {
            // TODO unit test for the property 'RadSolarMin'
        }
        /// <summary>
        /// Test the property 'RadSolarAvg'
        /// </summary>
        [Test]
        public void RadSolarAvgTest()
        {
            // TODO unit test for the property 'RadSolarAvg'
        }
        /// <summary>
        /// Test the property 'RadSolarMax'
        /// </summary>
        [Test]
        public void RadSolarMaxTest()
        {
            // TODO unit test for the property 'RadSolarMax'
        }
        /// <summary>
        /// Test the property 'RadSolarTot'
        /// </summary>
        [Test]
        public void RadSolarTotTest()
        {
            // TODO unit test for the property 'RadSolarTot'
        }
        /// <summary>
        /// Test the property 'RelHumMin'
        /// </summary>
        [Test]
        public void RelHumMinTest()
        {
            // TODO unit test for the property 'RelHumMin'
        }
        /// <summary>
        /// Test the property 'RelHumAvg'
        /// </summary>
        [Test]
        public void RelHumAvgTest()
        {
            // TODO unit test for the property 'RelHumAvg'
        }
        /// <summary>
        /// Test the property 'RelHumMax'
        /// </summary>
        [Test]
        public void RelHumMaxTest()
        {
            // TODO unit test for the property 'RelHumMax'
        }
        /// <summary>
        /// Test the property 'SfcPresMin'
        /// </summary>
        [Test]
        public void SfcPresMinTest()
        {
            // TODO unit test for the property 'SfcPresMin'
        }
        /// <summary>
        /// Test the property 'SfcPresAvg'
        /// </summary>
        [Test]
        public void SfcPresAvgTest()
        {
            // TODO unit test for the property 'SfcPresAvg'
        }
        /// <summary>
        /// Test the property 'SfcPresMax'
        /// </summary>
        [Test]
        public void SfcPresMaxTest()
        {
            // TODO unit test for the property 'SfcPresMax'
        }
        /// <summary>
        /// Test the property 'SnowDepth'
        /// </summary>
        [Test]
        public void SnowDepthTest()
        {
            // TODO unit test for the property 'SnowDepth'
        }
        /// <summary>
        /// Test the property 'Snowfall'
        /// </summary>
        [Test]
        public void SnowfallTest()
        {
            // TODO unit test for the property 'Snowfall'
        }
        /// <summary>
        /// Test the property 'SpcHumMin'
        /// </summary>
        [Test]
        public void SpcHumMinTest()
        {
            // TODO unit test for the property 'SpcHumMin'
        }
        /// <summary>
        /// Test the property 'SpcHumAvg'
        /// </summary>
        [Test]
        public void SpcHumAvgTest()
        {
            // TODO unit test for the property 'SpcHumAvg'
        }
        /// <summary>
        /// Test the property 'SpcHumMax'
        /// </summary>
        [Test]
        public void SpcHumMaxTest()
        {
            // TODO unit test for the property 'SpcHumMax'
        }
        /// <summary>
        /// Test the property 'TempMin'
        /// </summary>
        [Test]
        public void TempMinTest()
        {
            // TODO unit test for the property 'TempMin'
        }
        /// <summary>
        /// Test the property 'TempAvg'
        /// </summary>
        [Test]
        public void TempAvgTest()
        {
            // TODO unit test for the property 'TempAvg'
        }
        /// <summary>
        /// Test the property 'TempMax'
        /// </summary>
        [Test]
        public void TempMaxTest()
        {
            // TODO unit test for the property 'TempMax'
        }
        /// <summary>
        /// Test the property 'VisMin'
        /// </summary>
        [Test]
        public void VisMinTest()
        {
            // TODO unit test for the property 'VisMin'
        }
        /// <summary>
        /// Test the property 'VisAvg'
        /// </summary>
        [Test]
        public void VisAvgTest()
        {
            // TODO unit test for the property 'VisAvg'
        }
        /// <summary>
        /// Test the property 'VisMax'
        /// </summary>
        [Test]
        public void VisMaxTest()
        {
            // TODO unit test for the property 'VisMax'
        }
        /// <summary>
        /// Test the property 'WetBulbMin'
        /// </summary>
        [Test]
        public void WetBulbMinTest()
        {
            // TODO unit test for the property 'WetBulbMin'
        }
        /// <summary>
        /// Test the property 'WetBulbAvg'
        /// </summary>
        [Test]
        public void WetBulbAvgTest()
        {
            // TODO unit test for the property 'WetBulbAvg'
        }
        /// <summary>
        /// Test the property 'WetBulbMax'
        /// </summary>
        [Test]
        public void WetBulbMaxTest()
        {
            // TODO unit test for the property 'WetBulbMax'
        }
        /// <summary>
        /// Test the property 'WindChillMin'
        /// </summary>
        [Test]
        public void WindChillMinTest()
        {
            // TODO unit test for the property 'WindChillMin'
        }
        /// <summary>
        /// Test the property 'WindChillAvg'
        /// </summary>
        [Test]
        public void WindChillAvgTest()
        {
            // TODO unit test for the property 'WindChillAvg'
        }
        /// <summary>
        /// Test the property 'WindChillMax'
        /// </summary>
        [Test]
        public void WindChillMaxTest()
        {
            // TODO unit test for the property 'WindChillMax'
        }
        /// <summary>
        /// Test the property 'WindDirAvg'
        /// </summary>
        [Test]
        public void WindDirAvgTest()
        {
            // TODO unit test for the property 'WindDirAvg'
        }
        /// <summary>
        /// Test the property 'WindDir80mAvg'
        /// </summary>
        [Test]
        public void WindDir80mAvgTest()
        {
            // TODO unit test for the property 'WindDir80mAvg'
        }
        /// <summary>
        /// Test the property 'WindDir100mAvg'
        /// </summary>
        [Test]
        public void WindDir100mAvgTest()
        {
            // TODO unit test for the property 'WindDir100mAvg'
        }
        /// <summary>
        /// Test the property 'WindSpdMin'
        /// </summary>
        [Test]
        public void WindSpdMinTest()
        {
            // TODO unit test for the property 'WindSpdMin'
        }
        /// <summary>
        /// Test the property 'WindSpdAvg'
        /// </summary>
        [Test]
        public void WindSpdAvgTest()
        {
            // TODO unit test for the property 'WindSpdAvg'
        }
        /// <summary>
        /// Test the property 'WindSpdMax'
        /// </summary>
        [Test]
        public void WindSpdMaxTest()
        {
            // TODO unit test for the property 'WindSpdMax'
        }
        /// <summary>
        /// Test the property 'WindSpd80mMin'
        /// </summary>
        [Test]
        public void WindSpd80mMinTest()
        {
            // TODO unit test for the property 'WindSpd80mMin'
        }
        /// <summary>
        /// Test the property 'WindSpd80mAvg'
        /// </summary>
        [Test]
        public void WindSpd80mAvgTest()
        {
            // TODO unit test for the property 'WindSpd80mAvg'
        }
        /// <summary>
        /// Test the property 'WindSpd80mMax'
        /// </summary>
        [Test]
        public void WindSpd80mMaxTest()
        {
            // TODO unit test for the property 'WindSpd80mMax'
        }
        /// <summary>
        /// Test the property 'WindSpd100mMin'
        /// </summary>
        [Test]
        public void WindSpd100mMinTest()
        {
            // TODO unit test for the property 'WindSpd100mMin'
        }
        /// <summary>
        /// Test the property 'WindSpd100mAvg'
        /// </summary>
        [Test]
        public void WindSpd100mAvgTest()
        {
            // TODO unit test for the property 'WindSpd100mAvg'
        }
        /// <summary>
        /// Test the property 'WindSpd100mMax'
        /// </summary>
        [Test]
        public void WindSpd100mMaxTest()
        {
            // TODO unit test for the property 'WindSpd100mMax'
        }
        /// <summary>
        /// Test the property 'PrecipHourCnt'
        /// </summary>
        [Test]
        public void PrecipHourCntTest()
        {
            // TODO unit test for the property 'PrecipHourCnt'
        }
        /// <summary>
        /// Test the property 'SnowfallHourCnt'
        /// </summary>
        [Test]
        public void SnowfallHourCntTest()
        {
            // TODO unit test for the property 'SnowfallHourCnt'
        }
        /// <summary>
        /// Test the property 'FreezingRainFlagCnt'
        /// </summary>
        [Test]
        public void FreezingRainFlagCntTest()
        {
            // TODO unit test for the property 'FreezingRainFlagCnt'
        }
        /// <summary>
        /// Test the property 'IcePelletsFlagCnt'
        /// </summary>
        [Test]
        public void IcePelletsFlagCntTest()
        {
            // TODO unit test for the property 'IcePelletsFlagCnt'
        }
        /// <summary>
        /// Test the property 'RainFlagCnt'
        /// </summary>
        [Test]
        public void RainFlagCntTest()
        {
            // TODO unit test for the property 'RainFlagCnt'
        }
        /// <summary>
        /// Test the property 'SnowFlagCnt'
        /// </summary>
        [Test]
        public void SnowFlagCntTest()
        {
            // TODO unit test for the property 'SnowFlagCnt'
        }

    }

}
