/* 
 * Weather Source History API
 *
 * Daily and hourly historical weather data for latitude/longitude points, Zip/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source History API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 */

using NUnit.Framework;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using IO.Swagger.Api;
using IO.Swagger.Model;
using IO.Swagger.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace IO.Swagger.Test
{
    /// <summary>
    ///  Class for testing HistoryHourObj
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by Swagger Codegen.
    /// Please update the test case below to test the model.
    /// </remarks>
    [TestFixture]
    public class HistoryHourObjTests
    {
        // TODO uncomment below to declare an instance variable for HistoryHourObj
        //private HistoryHourObj instance;

        /// <summary>
        /// Setup before each test
        /// </summary>
        [SetUp]
        public void Init()
        {
            // TODO uncomment below to create an instance of HistoryHourObj
            //instance = new HistoryHourObj();
        }

        /// <summary>
        /// Clean up after each test
        /// </summary>
        [TearDown]
        public void Cleanup()
        {

        }

        /// <summary>
        /// Test an instance of HistoryHourObj
        /// </summary>
        [Test]
        public void HistoryHourObjInstanceTest()
        {
            // TODO uncomment below to test "IsInstanceOfType" HistoryHourObj
            //Assert.IsInstanceOfType<HistoryHourObj> (instance, "variable 'instance' is a HistoryHourObj");
        }


        /// <summary>
        /// Test the property 'Timestamp'
        /// </summary>
        [Test]
        public void TimestampTest()
        {
            // TODO unit test for the property 'Timestamp'
        }
        /// <summary>
        /// Test the property 'ProvisionalFlag'
        /// </summary>
        [Test]
        public void ProvisionalFlagTest()
        {
            // TODO unit test for the property 'ProvisionalFlag'
        }
        /// <summary>
        /// Test the property 'CldCvr'
        /// </summary>
        [Test]
        public void CldCvrTest()
        {
            // TODO unit test for the property 'CldCvr'
        }
        /// <summary>
        /// Test the property 'DewPt'
        /// </summary>
        [Test]
        public void DewPtTest()
        {
            // TODO unit test for the property 'DewPt'
        }
        /// <summary>
        /// Test the property 'FeelsLike'
        /// </summary>
        [Test]
        public void FeelsLikeTest()
        {
            // TODO unit test for the property 'FeelsLike'
        }
        /// <summary>
        /// Test the property 'HeatIndex'
        /// </summary>
        [Test]
        public void HeatIndexTest()
        {
            // TODO unit test for the property 'HeatIndex'
        }
        /// <summary>
        /// Test the property 'MslPres'
        /// </summary>
        [Test]
        public void MslPresTest()
        {
            // TODO unit test for the property 'MslPres'
        }
        /// <summary>
        /// Test the property 'Precip'
        /// </summary>
        [Test]
        public void PrecipTest()
        {
            // TODO unit test for the property 'Precip'
        }
        /// <summary>
        /// Test the property 'PresTend'
        /// </summary>
        [Test]
        public void PresTendTest()
        {
            // TODO unit test for the property 'PresTend'
        }
        /// <summary>
        /// Test the property 'RadSolar'
        /// </summary>
        [Test]
        public void RadSolarTest()
        {
            // TODO unit test for the property 'RadSolar'
        }
        /// <summary>
        /// Test the property 'RelHum'
        /// </summary>
        [Test]
        public void RelHumTest()
        {
            // TODO unit test for the property 'RelHum'
        }
        /// <summary>
        /// Test the property 'SfcPres'
        /// </summary>
        [Test]
        public void SfcPresTest()
        {
            // TODO unit test for the property 'SfcPres'
        }
        /// <summary>
        /// Test the property 'Snowfall'
        /// </summary>
        [Test]
        public void SnowfallTest()
        {
            // TODO unit test for the property 'Snowfall'
        }
        /// <summary>
        /// Test the property 'SpcHum'
        /// </summary>
        [Test]
        public void SpcHumTest()
        {
            // TODO unit test for the property 'SpcHum'
        }
        /// <summary>
        /// Test the property 'Temp'
        /// </summary>
        [Test]
        public void TempTest()
        {
            // TODO unit test for the property 'Temp'
        }
        /// <summary>
        /// Test the property 'Vis'
        /// </summary>
        [Test]
        public void VisTest()
        {
            // TODO unit test for the property 'Vis'
        }
        /// <summary>
        /// Test the property 'WetBulb'
        /// </summary>
        [Test]
        public void WetBulbTest()
        {
            // TODO unit test for the property 'WetBulb'
        }
        /// <summary>
        /// Test the property 'WindChill'
        /// </summary>
        [Test]
        public void WindChillTest()
        {
            // TODO unit test for the property 'WindChill'
        }
        /// <summary>
        /// Test the property 'WindDir'
        /// </summary>
        [Test]
        public void WindDirTest()
        {
            // TODO unit test for the property 'WindDir'
        }
        /// <summary>
        /// Test the property 'WindDir80m'
        /// </summary>
        [Test]
        public void WindDir80mTest()
        {
            // TODO unit test for the property 'WindDir80m'
        }
        /// <summary>
        /// Test the property 'WindDir100m'
        /// </summary>
        [Test]
        public void WindDir100mTest()
        {
            // TODO unit test for the property 'WindDir100m'
        }
        /// <summary>
        /// Test the property 'WindSpd'
        /// </summary>
        [Test]
        public void WindSpdTest()
        {
            // TODO unit test for the property 'WindSpd'
        }
        /// <summary>
        /// Test the property 'WindSpd80m'
        /// </summary>
        [Test]
        public void WindSpd80mTest()
        {
            // TODO unit test for the property 'WindSpd80m'
        }
        /// <summary>
        /// Test the property 'WindSpd100m'
        /// </summary>
        [Test]
        public void WindSpd100mTest()
        {
            // TODO unit test for the property 'WindSpd100m'
        }
        /// <summary>
        /// Test the property 'FreezingRainFlag'
        /// </summary>
        [Test]
        public void FreezingRainFlagTest()
        {
            // TODO unit test for the property 'FreezingRainFlag'
        }
        /// <summary>
        /// Test the property 'IcePelletsFlag'
        /// </summary>
        [Test]
        public void IcePelletsFlagTest()
        {
            // TODO unit test for the property 'IcePelletsFlag'
        }
        /// <summary>
        /// Test the property 'RainFlag'
        /// </summary>
        [Test]
        public void RainFlagTest()
        {
            // TODO unit test for the property 'RainFlag'
        }
        /// <summary>
        /// Test the property 'SnowFlag'
        /// </summary>
        [Test]
        public void SnowFlagTest()
        {
            // TODO unit test for the property 'SnowFlag'
        }

    }

}
