/* 
 * Weather Source History API
 *
 * Daily and hourly historical weather data for latitude/longitude points, Zip/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source History API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 */
using System;
using System.Linq;
using System.IO;
using System.Text;
using System.Text.RegularExpressions;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Runtime.Serialization;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System.ComponentModel.DataAnnotations;
using SwaggerDateConverter = IO.Swagger.Client.SwaggerDateConverter;

namespace IO.Swagger.Model
{
    /// <summary>
    /// A date range object.
    /// </summary>
    [DataContract]
        public partial class DateRangeObj :  IEquatable<DateRangeObj>, IValidatableObject
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="DateRangeObj" /> class.
        /// </summary>
        /// <param name="dateStart">dateStart (required).</param>
        /// <param name="dateEnd">dateEnd (required).</param>
        public DateRangeObj(DateStart dateStart = default(DateStart), DateEnd dateEnd = default(DateEnd))
        {
            // to ensure "dateStart" is required (not null)
            if (dateStart == null)
            {
                throw new InvalidDataException("dateStart is a required property for DateRangeObj and cannot be null");
            }
            else
            {
                this.DateStart = dateStart;
            }
            // to ensure "dateEnd" is required (not null)
            if (dateEnd == null)
            {
                throw new InvalidDataException("dateEnd is a required property for DateRangeObj and cannot be null");
            }
            else
            {
                this.DateEnd = dateEnd;
            }
        }
        
        /// <summary>
        /// Gets or Sets DateStart
        /// </summary>
        [DataMember(Name="dateStart", EmitDefaultValue=false)]
        public DateStart DateStart { get; set; }

        /// <summary>
        /// Gets or Sets DateEnd
        /// </summary>
        [DataMember(Name="dateEnd", EmitDefaultValue=false)]
        public DateEnd DateEnd { get; set; }

        /// <summary>
        /// Returns the string presentation of the object
        /// </summary>
        /// <returns>String presentation of the object</returns>
        public override string ToString()
        {
            var sb = new StringBuilder();
            sb.Append("class DateRangeObj {\n");
            sb.Append("  DateStart: ").Append(DateStart).Append("\n");
            sb.Append("  DateEnd: ").Append(DateEnd).Append("\n");
            sb.Append("}\n");
            return sb.ToString();
        }
  
        /// <summary>
        /// Returns the JSON string presentation of the object
        /// </summary>
        /// <returns>JSON string presentation of the object</returns>
        public virtual string ToJson()
        {
            return JsonConvert.SerializeObject(this, Formatting.Indented);
        }

        /// <summary>
        /// Returns true if objects are equal
        /// </summary>
        /// <param name="input">Object to be compared</param>
        /// <returns>Boolean</returns>
        public override bool Equals(object input)
        {
            return this.Equals(input as DateRangeObj);
        }

        /// <summary>
        /// Returns true if DateRangeObj instances are equal
        /// </summary>
        /// <param name="input">Instance of DateRangeObj to be compared</param>
        /// <returns>Boolean</returns>
        public bool Equals(DateRangeObj input)
        {
            if (input == null)
                return false;

            return 
                (
                    this.DateStart == input.DateStart ||
                    (this.DateStart != null &&
                    this.DateStart.Equals(input.DateStart))
                ) && 
                (
                    this.DateEnd == input.DateEnd ||
                    (this.DateEnd != null &&
                    this.DateEnd.Equals(input.DateEnd))
                );
        }

        /// <summary>
        /// Gets the hash code
        /// </summary>
        /// <returns>Hash code</returns>
        public override int GetHashCode()
        {
            unchecked // Overflow is fine, just wrap
            {
                int hashCode = 41;
                if (this.DateStart != null)
                    hashCode = hashCode * 59 + this.DateStart.GetHashCode();
                if (this.DateEnd != null)
                    hashCode = hashCode * 59 + this.DateEnd.GetHashCode();
                return hashCode;
            }
        }

        /// <summary>
        /// To validate all properties of the instance
        /// </summary>
        /// <param name="validationContext">Validation context</param>
        /// <returns>Validation Result</returns>
        IEnumerable<System.ComponentModel.DataAnnotations.ValidationResult> IValidatableObject.Validate(ValidationContext validationContext)
        {
            yield break;
        }
    }
}
