/* 
 * Weather Source History API
 *
 * Daily and hourly historical weather data for latitude/longitude points, Zip/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source History API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 */
using System;
using System.Linq;
using System.IO;
using System.Text;
using System.Text.RegularExpressions;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Runtime.Serialization;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System.ComponentModel.DataAnnotations;
using SwaggerDateConverter = IO.Swagger.Client.SwaggerDateConverter;

namespace IO.Swagger.Model
{
    /// <summary>
    /// The OnPoint™ grid on which the resource exists.
    /// </summary>
    /// <value>The OnPoint™ grid on which the resource exists.</value>
    [JsonConverter(typeof(StringEnumConverter))]
        public enum Grid
    {
        /// <summary>
        /// Enum GLOBALGRID for value: GLOBAL_GRID
        /// </summary>
        [EnumMember(Value = "GLOBAL_GRID")]
        GLOBALGRID = 1,
        /// <summary>
        /// Enum NORTHAMERICAGRID for value: NORTH_AMERICA_GRID
        /// </summary>
        [EnumMember(Value = "NORTH_AMERICA_GRID")]
        NORTHAMERICAGRID = 2    }
}
