/* 
 * Weather Source History API
 *
 * Daily and hourly historical weather data for latitude/longitude points, Zip/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source History API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 */
using System;
using System.Linq;
using System.IO;
using System.Text;
using System.Text.RegularExpressions;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Runtime.Serialization;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System.ComponentModel.DataAnnotations;
using SwaggerDateConverter = IO.Swagger.Client.SwaggerDateConverter;

namespace IO.Swagger.Model
{
    /// <summary>
    /// A daily weather history object.
    /// </summary>
    [DataContract]
        public partial class HistoryDayObj :  IEquatable<HistoryDayObj>, IValidatableObject
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="HistoryDayObj" /> class.
        /// </summary>
        /// <param name="date">date (required).</param>
        /// <param name="provisionalFlag">provisionalFlag.</param>
        /// <param name="cldCvrMin">cldCvrMin.</param>
        /// <param name="cldCvrAvg">cldCvrAvg.</param>
        /// <param name="cldCvrMax">cldCvrMax.</param>
        /// <param name="dewPtMin">dewPtMin.</param>
        /// <param name="dewPtAvg">dewPtAvg.</param>
        /// <param name="dewPtMax">dewPtMax.</param>
        /// <param name="feelsLikeMin">feelsLikeMin.</param>
        /// <param name="feelsLikeAvg">feelsLikeAvg.</param>
        /// <param name="feelsLikeMax">feelsLikeMax.</param>
        /// <param name="heatIndexMin">heatIndexMin.</param>
        /// <param name="heatIndexAvg">heatIndexAvg.</param>
        /// <param name="heatIndexMax">heatIndexMax.</param>
        /// <param name="mslPresMin">mslPresMin.</param>
        /// <param name="mslPresAvg">mslPresAvg.</param>
        /// <param name="mslPresMax">mslPresMax.</param>
        /// <param name="precip">precip.</param>
        /// <param name="presTendMin">presTendMin.</param>
        /// <param name="presTendAvg">presTendAvg.</param>
        /// <param name="presTendMax">presTendMax.</param>
        /// <param name="radSolarMin">radSolarMin.</param>
        /// <param name="radSolarAvg">radSolarAvg.</param>
        /// <param name="radSolarMax">radSolarMax.</param>
        /// <param name="radSolarTot">radSolarTot.</param>
        /// <param name="relHumMin">relHumMin.</param>
        /// <param name="relHumAvg">relHumAvg.</param>
        /// <param name="relHumMax">relHumMax.</param>
        /// <param name="sfcPresMin">sfcPresMin.</param>
        /// <param name="sfcPresAvg">sfcPresAvg.</param>
        /// <param name="sfcPresMax">sfcPresMax.</param>
        /// <param name="snowDepth">snowDepth.</param>
        /// <param name="snowfall">snowfall.</param>
        /// <param name="spcHumMin">spcHumMin.</param>
        /// <param name="spcHumAvg">spcHumAvg.</param>
        /// <param name="spcHumMax">spcHumMax.</param>
        /// <param name="tempMin">tempMin.</param>
        /// <param name="tempAvg">tempAvg.</param>
        /// <param name="tempMax">tempMax.</param>
        /// <param name="visMin">visMin.</param>
        /// <param name="visAvg">visAvg.</param>
        /// <param name="visMax">visMax.</param>
        /// <param name="wetBulbMin">wetBulbMin.</param>
        /// <param name="wetBulbAvg">wetBulbAvg.</param>
        /// <param name="wetBulbMax">wetBulbMax.</param>
        /// <param name="windChillMin">windChillMin.</param>
        /// <param name="windChillAvg">windChillAvg.</param>
        /// <param name="windChillMax">windChillMax.</param>
        /// <param name="windDirAvg">windDirAvg.</param>
        /// <param name="windDir80mAvg">windDir80mAvg.</param>
        /// <param name="windDir100mAvg">windDir100mAvg.</param>
        /// <param name="windSpdMin">windSpdMin.</param>
        /// <param name="windSpdAvg">windSpdAvg.</param>
        /// <param name="windSpdMax">windSpdMax.</param>
        /// <param name="windSpd80mMin">windSpd80mMin.</param>
        /// <param name="windSpd80mAvg">windSpd80mAvg.</param>
        /// <param name="windSpd80mMax">windSpd80mMax.</param>
        /// <param name="windSpd100mMin">windSpd100mMin.</param>
        /// <param name="windSpd100mAvg">windSpd100mAvg.</param>
        /// <param name="windSpd100mMax">windSpd100mMax.</param>
        /// <param name="precipHourCnt">precipHourCnt.</param>
        /// <param name="snowfallHourCnt">snowfallHourCnt.</param>
        /// <param name="freezingRainFlagCnt">freezingRainFlagCnt.</param>
        /// <param name="icePelletsFlagCnt">icePelletsFlagCnt.</param>
        /// <param name="rainFlagCnt">rainFlagCnt.</param>
        /// <param name="snowFlagCnt">snowFlagCnt.</param>
        public HistoryDayObj(DateTime? date = default(DateTime?), ProvisionalFlag provisionalFlag = default(ProvisionalFlag), CldCvrMin cldCvrMin = default(CldCvrMin), CldCvrAvg cldCvrAvg = default(CldCvrAvg), CldCvrMax cldCvrMax = default(CldCvrMax), DewPtMin dewPtMin = default(DewPtMin), DewPtAvg dewPtAvg = default(DewPtAvg), DewPtMax dewPtMax = default(DewPtMax), FeelsLikeMin feelsLikeMin = default(FeelsLikeMin), FeelsLikeAvg feelsLikeAvg = default(FeelsLikeAvg), FeelsLikeMax feelsLikeMax = default(FeelsLikeMax), HeatIndexMin heatIndexMin = default(HeatIndexMin), HeatIndexAvg heatIndexAvg = default(HeatIndexAvg), HeatIndexMax heatIndexMax = default(HeatIndexMax), MslPresMin mslPresMin = default(MslPresMin), MslPresAvg mslPresAvg = default(MslPresAvg), MslPresMax mslPresMax = default(MslPresMax), Precip precip = default(Precip), PresTendMin presTendMin = default(PresTendMin), PresTendAvg presTendAvg = default(PresTendAvg), PresTendMax presTendMax = default(PresTendMax), RadSolarMin radSolarMin = default(RadSolarMin), RadSolarAvg radSolarAvg = default(RadSolarAvg), RadSolarMax radSolarMax = default(RadSolarMax), RadSolarTot radSolarTot = default(RadSolarTot), RelHumMin relHumMin = default(RelHumMin), RelHumAvg relHumAvg = default(RelHumAvg), RelHumMax relHumMax = default(RelHumMax), SfcPresMin sfcPresMin = default(SfcPresMin), SfcPresAvg sfcPresAvg = default(SfcPresAvg), SfcPresMax sfcPresMax = default(SfcPresMax), SnowDepth snowDepth = default(SnowDepth), Snowfall snowfall = default(Snowfall), SpcHumMin spcHumMin = default(SpcHumMin), SpcHumAvg spcHumAvg = default(SpcHumAvg), SpcHumMax spcHumMax = default(SpcHumMax), TempMin tempMin = default(TempMin), TempAvg tempAvg = default(TempAvg), TempMax tempMax = default(TempMax), VisMin visMin = default(VisMin), VisAvg visAvg = default(VisAvg), VisMax visMax = default(VisMax), WetBulbMin wetBulbMin = default(WetBulbMin), WetBulbAvg wetBulbAvg = default(WetBulbAvg), WetBulbMax wetBulbMax = default(WetBulbMax), WindChillMin windChillMin = default(WindChillMin), WindChillAvg windChillAvg = default(WindChillAvg), WindChillMax windChillMax = default(WindChillMax), WindDirAvg windDirAvg = default(WindDirAvg), WindDir80mAvg windDir80mAvg = default(WindDir80mAvg), WindDir100mAvg windDir100mAvg = default(WindDir100mAvg), WindSpdMin windSpdMin = default(WindSpdMin), WindSpdAvg windSpdAvg = default(WindSpdAvg), WindSpdMax windSpdMax = default(WindSpdMax), WindSpd80mMin windSpd80mMin = default(WindSpd80mMin), WindSpd80mAvg windSpd80mAvg = default(WindSpd80mAvg), WindSpd80mMax windSpd80mMax = default(WindSpd80mMax), WindSpd100mMin windSpd100mMin = default(WindSpd100mMin), WindSpd100mAvg windSpd100mAvg = default(WindSpd100mAvg), WindSpd100mMax windSpd100mMax = default(WindSpd100mMax), PrecipHourCnt precipHourCnt = default(PrecipHourCnt), SnowfallHourCnt snowfallHourCnt = default(SnowfallHourCnt), FreezingRainFlagCnt freezingRainFlagCnt = default(FreezingRainFlagCnt), IcePelletsFlagCnt icePelletsFlagCnt = default(IcePelletsFlagCnt), RainFlagCnt rainFlagCnt = default(RainFlagCnt), SnowFlagCnt snowFlagCnt = default(SnowFlagCnt))
        {
            // to ensure "date" is required (not null)
            if (date == null)
            {
                throw new InvalidDataException("date is a required property for HistoryDayObj and cannot be null");
            }
            else
            {
                this.Date = date;
            }
            this.ProvisionalFlag = provisionalFlag;
            this.CldCvrMin = cldCvrMin;
            this.CldCvrAvg = cldCvrAvg;
            this.CldCvrMax = cldCvrMax;
            this.DewPtMin = dewPtMin;
            this.DewPtAvg = dewPtAvg;
            this.DewPtMax = dewPtMax;
            this.FeelsLikeMin = feelsLikeMin;
            this.FeelsLikeAvg = feelsLikeAvg;
            this.FeelsLikeMax = feelsLikeMax;
            this.HeatIndexMin = heatIndexMin;
            this.HeatIndexAvg = heatIndexAvg;
            this.HeatIndexMax = heatIndexMax;
            this.MslPresMin = mslPresMin;
            this.MslPresAvg = mslPresAvg;
            this.MslPresMax = mslPresMax;
            this.Precip = precip;
            this.PresTendMin = presTendMin;
            this.PresTendAvg = presTendAvg;
            this.PresTendMax = presTendMax;
            this.RadSolarMin = radSolarMin;
            this.RadSolarAvg = radSolarAvg;
            this.RadSolarMax = radSolarMax;
            this.RadSolarTot = radSolarTot;
            this.RelHumMin = relHumMin;
            this.RelHumAvg = relHumAvg;
            this.RelHumMax = relHumMax;
            this.SfcPresMin = sfcPresMin;
            this.SfcPresAvg = sfcPresAvg;
            this.SfcPresMax = sfcPresMax;
            this.SnowDepth = snowDepth;
            this.Snowfall = snowfall;
            this.SpcHumMin = spcHumMin;
            this.SpcHumAvg = spcHumAvg;
            this.SpcHumMax = spcHumMax;
            this.TempMin = tempMin;
            this.TempAvg = tempAvg;
            this.TempMax = tempMax;
            this.VisMin = visMin;
            this.VisAvg = visAvg;
            this.VisMax = visMax;
            this.WetBulbMin = wetBulbMin;
            this.WetBulbAvg = wetBulbAvg;
            this.WetBulbMax = wetBulbMax;
            this.WindChillMin = windChillMin;
            this.WindChillAvg = windChillAvg;
            this.WindChillMax = windChillMax;
            this.WindDirAvg = windDirAvg;
            this.WindDir80mAvg = windDir80mAvg;
            this.WindDir100mAvg = windDir100mAvg;
            this.WindSpdMin = windSpdMin;
            this.WindSpdAvg = windSpdAvg;
            this.WindSpdMax = windSpdMax;
            this.WindSpd80mMin = windSpd80mMin;
            this.WindSpd80mAvg = windSpd80mAvg;
            this.WindSpd80mMax = windSpd80mMax;
            this.WindSpd100mMin = windSpd100mMin;
            this.WindSpd100mAvg = windSpd100mAvg;
            this.WindSpd100mMax = windSpd100mMax;
            this.PrecipHourCnt = precipHourCnt;
            this.SnowfallHourCnt = snowfallHourCnt;
            this.FreezingRainFlagCnt = freezingRainFlagCnt;
            this.IcePelletsFlagCnt = icePelletsFlagCnt;
            this.RainFlagCnt = rainFlagCnt;
            this.SnowFlagCnt = snowFlagCnt;
        }
        
        /// <summary>
        /// Gets or Sets Date
        /// </summary>
        [DataMember(Name="date", EmitDefaultValue=false)]
        public DateTime? Date { get; set; }

        /// <summary>
        /// Gets or Sets ProvisionalFlag
        /// </summary>
        [DataMember(Name="provisionalFlag", EmitDefaultValue=false)]
        public ProvisionalFlag ProvisionalFlag { get; set; }

        /// <summary>
        /// Gets or Sets CldCvrMin
        /// </summary>
        [DataMember(Name="cldCvrMin", EmitDefaultValue=false)]
        public CldCvrMin CldCvrMin { get; set; }

        /// <summary>
        /// Gets or Sets CldCvrAvg
        /// </summary>
        [DataMember(Name="cldCvrAvg", EmitDefaultValue=false)]
        public CldCvrAvg CldCvrAvg { get; set; }

        /// <summary>
        /// Gets or Sets CldCvrMax
        /// </summary>
        [DataMember(Name="cldCvrMax", EmitDefaultValue=false)]
        public CldCvrMax CldCvrMax { get; set; }

        /// <summary>
        /// Gets or Sets DewPtMin
        /// </summary>
        [DataMember(Name="dewPtMin", EmitDefaultValue=false)]
        public DewPtMin DewPtMin { get; set; }

        /// <summary>
        /// Gets or Sets DewPtAvg
        /// </summary>
        [DataMember(Name="dewPtAvg", EmitDefaultValue=false)]
        public DewPtAvg DewPtAvg { get; set; }

        /// <summary>
        /// Gets or Sets DewPtMax
        /// </summary>
        [DataMember(Name="dewPtMax", EmitDefaultValue=false)]
        public DewPtMax DewPtMax { get; set; }

        /// <summary>
        /// Gets or Sets FeelsLikeMin
        /// </summary>
        [DataMember(Name="feelsLikeMin", EmitDefaultValue=false)]
        public FeelsLikeMin FeelsLikeMin { get; set; }

        /// <summary>
        /// Gets or Sets FeelsLikeAvg
        /// </summary>
        [DataMember(Name="feelsLikeAvg", EmitDefaultValue=false)]
        public FeelsLikeAvg FeelsLikeAvg { get; set; }

        /// <summary>
        /// Gets or Sets FeelsLikeMax
        /// </summary>
        [DataMember(Name="feelsLikeMax", EmitDefaultValue=false)]
        public FeelsLikeMax FeelsLikeMax { get; set; }

        /// <summary>
        /// Gets or Sets HeatIndexMin
        /// </summary>
        [DataMember(Name="heatIndexMin", EmitDefaultValue=false)]
        public HeatIndexMin HeatIndexMin { get; set; }

        /// <summary>
        /// Gets or Sets HeatIndexAvg
        /// </summary>
        [DataMember(Name="heatIndexAvg", EmitDefaultValue=false)]
        public HeatIndexAvg HeatIndexAvg { get; set; }

        /// <summary>
        /// Gets or Sets HeatIndexMax
        /// </summary>
        [DataMember(Name="heatIndexMax", EmitDefaultValue=false)]
        public HeatIndexMax HeatIndexMax { get; set; }

        /// <summary>
        /// Gets or Sets MslPresMin
        /// </summary>
        [DataMember(Name="mslPresMin", EmitDefaultValue=false)]
        public MslPresMin MslPresMin { get; set; }

        /// <summary>
        /// Gets or Sets MslPresAvg
        /// </summary>
        [DataMember(Name="mslPresAvg", EmitDefaultValue=false)]
        public MslPresAvg MslPresAvg { get; set; }

        /// <summary>
        /// Gets or Sets MslPresMax
        /// </summary>
        [DataMember(Name="mslPresMax", EmitDefaultValue=false)]
        public MslPresMax MslPresMax { get; set; }

        /// <summary>
        /// Gets or Sets Precip
        /// </summary>
        [DataMember(Name="precip", EmitDefaultValue=false)]
        public Precip Precip { get; set; }

        /// <summary>
        /// Gets or Sets PresTendMin
        /// </summary>
        [DataMember(Name="presTendMin", EmitDefaultValue=false)]
        public PresTendMin PresTendMin { get; set; }

        /// <summary>
        /// Gets or Sets PresTendAvg
        /// </summary>
        [DataMember(Name="presTendAvg", EmitDefaultValue=false)]
        public PresTendAvg PresTendAvg { get; set; }

        /// <summary>
        /// Gets or Sets PresTendMax
        /// </summary>
        [DataMember(Name="presTendMax", EmitDefaultValue=false)]
        public PresTendMax PresTendMax { get; set; }

        /// <summary>
        /// Gets or Sets RadSolarMin
        /// </summary>
        [DataMember(Name="radSolarMin", EmitDefaultValue=false)]
        public RadSolarMin RadSolarMin { get; set; }

        /// <summary>
        /// Gets or Sets RadSolarAvg
        /// </summary>
        [DataMember(Name="radSolarAvg", EmitDefaultValue=false)]
        public RadSolarAvg RadSolarAvg { get; set; }

        /// <summary>
        /// Gets or Sets RadSolarMax
        /// </summary>
        [DataMember(Name="radSolarMax", EmitDefaultValue=false)]
        public RadSolarMax RadSolarMax { get; set; }

        /// <summary>
        /// Gets or Sets RadSolarTot
        /// </summary>
        [DataMember(Name="radSolarTot", EmitDefaultValue=false)]
        public RadSolarTot RadSolarTot { get; set; }

        /// <summary>
        /// Gets or Sets RelHumMin
        /// </summary>
        [DataMember(Name="relHumMin", EmitDefaultValue=false)]
        public RelHumMin RelHumMin { get; set; }

        /// <summary>
        /// Gets or Sets RelHumAvg
        /// </summary>
        [DataMember(Name="relHumAvg", EmitDefaultValue=false)]
        public RelHumAvg RelHumAvg { get; set; }

        /// <summary>
        /// Gets or Sets RelHumMax
        /// </summary>
        [DataMember(Name="relHumMax", EmitDefaultValue=false)]
        public RelHumMax RelHumMax { get; set; }

        /// <summary>
        /// Gets or Sets SfcPresMin
        /// </summary>
        [DataMember(Name="sfcPresMin", EmitDefaultValue=false)]
        public SfcPresMin SfcPresMin { get; set; }

        /// <summary>
        /// Gets or Sets SfcPresAvg
        /// </summary>
        [DataMember(Name="sfcPresAvg", EmitDefaultValue=false)]
        public SfcPresAvg SfcPresAvg { get; set; }

        /// <summary>
        /// Gets or Sets SfcPresMax
        /// </summary>
        [DataMember(Name="sfcPresMax", EmitDefaultValue=false)]
        public SfcPresMax SfcPresMax { get; set; }

        /// <summary>
        /// Gets or Sets SnowDepth
        /// </summary>
        [DataMember(Name="snowDepth", EmitDefaultValue=false)]
        public SnowDepth SnowDepth { get; set; }

        /// <summary>
        /// Gets or Sets Snowfall
        /// </summary>
        [DataMember(Name="snowfall", EmitDefaultValue=false)]
        public Snowfall Snowfall { get; set; }

        /// <summary>
        /// Gets or Sets SpcHumMin
        /// </summary>
        [DataMember(Name="spcHumMin", EmitDefaultValue=false)]
        public SpcHumMin SpcHumMin { get; set; }

        /// <summary>
        /// Gets or Sets SpcHumAvg
        /// </summary>
        [DataMember(Name="spcHumAvg", EmitDefaultValue=false)]
        public SpcHumAvg SpcHumAvg { get; set; }

        /// <summary>
        /// Gets or Sets SpcHumMax
        /// </summary>
        [DataMember(Name="spcHumMax", EmitDefaultValue=false)]
        public SpcHumMax SpcHumMax { get; set; }

        /// <summary>
        /// Gets or Sets TempMin
        /// </summary>
        [DataMember(Name="tempMin", EmitDefaultValue=false)]
        public TempMin TempMin { get; set; }

        /// <summary>
        /// Gets or Sets TempAvg
        /// </summary>
        [DataMember(Name="tempAvg", EmitDefaultValue=false)]
        public TempAvg TempAvg { get; set; }

        /// <summary>
        /// Gets or Sets TempMax
        /// </summary>
        [DataMember(Name="tempMax", EmitDefaultValue=false)]
        public TempMax TempMax { get; set; }

        /// <summary>
        /// Gets or Sets VisMin
        /// </summary>
        [DataMember(Name="visMin", EmitDefaultValue=false)]
        public VisMin VisMin { get; set; }

        /// <summary>
        /// Gets or Sets VisAvg
        /// </summary>
        [DataMember(Name="visAvg", EmitDefaultValue=false)]
        public VisAvg VisAvg { get; set; }

        /// <summary>
        /// Gets or Sets VisMax
        /// </summary>
        [DataMember(Name="visMax", EmitDefaultValue=false)]
        public VisMax VisMax { get; set; }

        /// <summary>
        /// Gets or Sets WetBulbMin
        /// </summary>
        [DataMember(Name="wetBulbMin", EmitDefaultValue=false)]
        public WetBulbMin WetBulbMin { get; set; }

        /// <summary>
        /// Gets or Sets WetBulbAvg
        /// </summary>
        [DataMember(Name="wetBulbAvg", EmitDefaultValue=false)]
        public WetBulbAvg WetBulbAvg { get; set; }

        /// <summary>
        /// Gets or Sets WetBulbMax
        /// </summary>
        [DataMember(Name="wetBulbMax", EmitDefaultValue=false)]
        public WetBulbMax WetBulbMax { get; set; }

        /// <summary>
        /// Gets or Sets WindChillMin
        /// </summary>
        [DataMember(Name="windChillMin", EmitDefaultValue=false)]
        public WindChillMin WindChillMin { get; set; }

        /// <summary>
        /// Gets or Sets WindChillAvg
        /// </summary>
        [DataMember(Name="windChillAvg", EmitDefaultValue=false)]
        public WindChillAvg WindChillAvg { get; set; }

        /// <summary>
        /// Gets or Sets WindChillMax
        /// </summary>
        [DataMember(Name="windChillMax", EmitDefaultValue=false)]
        public WindChillMax WindChillMax { get; set; }

        /// <summary>
        /// Gets or Sets WindDirAvg
        /// </summary>
        [DataMember(Name="windDirAvg", EmitDefaultValue=false)]
        public WindDirAvg WindDirAvg { get; set; }

        /// <summary>
        /// Gets or Sets WindDir80mAvg
        /// </summary>
        [DataMember(Name="windDir80mAvg", EmitDefaultValue=false)]
        public WindDir80mAvg WindDir80mAvg { get; set; }

        /// <summary>
        /// Gets or Sets WindDir100mAvg
        /// </summary>
        [DataMember(Name="windDir100mAvg", EmitDefaultValue=false)]
        public WindDir100mAvg WindDir100mAvg { get; set; }

        /// <summary>
        /// Gets or Sets WindSpdMin
        /// </summary>
        [DataMember(Name="windSpdMin", EmitDefaultValue=false)]
        public WindSpdMin WindSpdMin { get; set; }

        /// <summary>
        /// Gets or Sets WindSpdAvg
        /// </summary>
        [DataMember(Name="windSpdAvg", EmitDefaultValue=false)]
        public WindSpdAvg WindSpdAvg { get; set; }

        /// <summary>
        /// Gets or Sets WindSpdMax
        /// </summary>
        [DataMember(Name="windSpdMax", EmitDefaultValue=false)]
        public WindSpdMax WindSpdMax { get; set; }

        /// <summary>
        /// Gets or Sets WindSpd80mMin
        /// </summary>
        [DataMember(Name="windSpd80mMin", EmitDefaultValue=false)]
        public WindSpd80mMin WindSpd80mMin { get; set; }

        /// <summary>
        /// Gets or Sets WindSpd80mAvg
        /// </summary>
        [DataMember(Name="windSpd80mAvg", EmitDefaultValue=false)]
        public WindSpd80mAvg WindSpd80mAvg { get; set; }

        /// <summary>
        /// Gets or Sets WindSpd80mMax
        /// </summary>
        [DataMember(Name="windSpd80mMax", EmitDefaultValue=false)]
        public WindSpd80mMax WindSpd80mMax { get; set; }

        /// <summary>
        /// Gets or Sets WindSpd100mMin
        /// </summary>
        [DataMember(Name="windSpd100mMin", EmitDefaultValue=false)]
        public WindSpd100mMin WindSpd100mMin { get; set; }

        /// <summary>
        /// Gets or Sets WindSpd100mAvg
        /// </summary>
        [DataMember(Name="windSpd100mAvg", EmitDefaultValue=false)]
        public WindSpd100mAvg WindSpd100mAvg { get; set; }

        /// <summary>
        /// Gets or Sets WindSpd100mMax
        /// </summary>
        [DataMember(Name="windSpd100mMax", EmitDefaultValue=false)]
        public WindSpd100mMax WindSpd100mMax { get; set; }

        /// <summary>
        /// Gets or Sets PrecipHourCnt
        /// </summary>
        [DataMember(Name="precipHourCnt", EmitDefaultValue=false)]
        public PrecipHourCnt PrecipHourCnt { get; set; }

        /// <summary>
        /// Gets or Sets SnowfallHourCnt
        /// </summary>
        [DataMember(Name="snowfallHourCnt", EmitDefaultValue=false)]
        public SnowfallHourCnt SnowfallHourCnt { get; set; }

        /// <summary>
        /// Gets or Sets FreezingRainFlagCnt
        /// </summary>
        [DataMember(Name="freezingRainFlagCnt", EmitDefaultValue=false)]
        public FreezingRainFlagCnt FreezingRainFlagCnt { get; set; }

        /// <summary>
        /// Gets or Sets IcePelletsFlagCnt
        /// </summary>
        [DataMember(Name="icePelletsFlagCnt", EmitDefaultValue=false)]
        public IcePelletsFlagCnt IcePelletsFlagCnt { get; set; }

        /// <summary>
        /// Gets or Sets RainFlagCnt
        /// </summary>
        [DataMember(Name="rainFlagCnt", EmitDefaultValue=false)]
        public RainFlagCnt RainFlagCnt { get; set; }

        /// <summary>
        /// Gets or Sets SnowFlagCnt
        /// </summary>
        [DataMember(Name="snowFlagCnt", EmitDefaultValue=false)]
        public SnowFlagCnt SnowFlagCnt { get; set; }

        /// <summary>
        /// Returns the string presentation of the object
        /// </summary>
        /// <returns>String presentation of the object</returns>
        public override string ToString()
        {
            var sb = new StringBuilder();
            sb.Append("class HistoryDayObj {\n");
            sb.Append("  Date: ").Append(Date).Append("\n");
            sb.Append("  ProvisionalFlag: ").Append(ProvisionalFlag).Append("\n");
            sb.Append("  CldCvrMin: ").Append(CldCvrMin).Append("\n");
            sb.Append("  CldCvrAvg: ").Append(CldCvrAvg).Append("\n");
            sb.Append("  CldCvrMax: ").Append(CldCvrMax).Append("\n");
            sb.Append("  DewPtMin: ").Append(DewPtMin).Append("\n");
            sb.Append("  DewPtAvg: ").Append(DewPtAvg).Append("\n");
            sb.Append("  DewPtMax: ").Append(DewPtMax).Append("\n");
            sb.Append("  FeelsLikeMin: ").Append(FeelsLikeMin).Append("\n");
            sb.Append("  FeelsLikeAvg: ").Append(FeelsLikeAvg).Append("\n");
            sb.Append("  FeelsLikeMax: ").Append(FeelsLikeMax).Append("\n");
            sb.Append("  HeatIndexMin: ").Append(HeatIndexMin).Append("\n");
            sb.Append("  HeatIndexAvg: ").Append(HeatIndexAvg).Append("\n");
            sb.Append("  HeatIndexMax: ").Append(HeatIndexMax).Append("\n");
            sb.Append("  MslPresMin: ").Append(MslPresMin).Append("\n");
            sb.Append("  MslPresAvg: ").Append(MslPresAvg).Append("\n");
            sb.Append("  MslPresMax: ").Append(MslPresMax).Append("\n");
            sb.Append("  Precip: ").Append(Precip).Append("\n");
            sb.Append("  PresTendMin: ").Append(PresTendMin).Append("\n");
            sb.Append("  PresTendAvg: ").Append(PresTendAvg).Append("\n");
            sb.Append("  PresTendMax: ").Append(PresTendMax).Append("\n");
            sb.Append("  RadSolarMin: ").Append(RadSolarMin).Append("\n");
            sb.Append("  RadSolarAvg: ").Append(RadSolarAvg).Append("\n");
            sb.Append("  RadSolarMax: ").Append(RadSolarMax).Append("\n");
            sb.Append("  RadSolarTot: ").Append(RadSolarTot).Append("\n");
            sb.Append("  RelHumMin: ").Append(RelHumMin).Append("\n");
            sb.Append("  RelHumAvg: ").Append(RelHumAvg).Append("\n");
            sb.Append("  RelHumMax: ").Append(RelHumMax).Append("\n");
            sb.Append("  SfcPresMin: ").Append(SfcPresMin).Append("\n");
            sb.Append("  SfcPresAvg: ").Append(SfcPresAvg).Append("\n");
            sb.Append("  SfcPresMax: ").Append(SfcPresMax).Append("\n");
            sb.Append("  SnowDepth: ").Append(SnowDepth).Append("\n");
            sb.Append("  Snowfall: ").Append(Snowfall).Append("\n");
            sb.Append("  SpcHumMin: ").Append(SpcHumMin).Append("\n");
            sb.Append("  SpcHumAvg: ").Append(SpcHumAvg).Append("\n");
            sb.Append("  SpcHumMax: ").Append(SpcHumMax).Append("\n");
            sb.Append("  TempMin: ").Append(TempMin).Append("\n");
            sb.Append("  TempAvg: ").Append(TempAvg).Append("\n");
            sb.Append("  TempMax: ").Append(TempMax).Append("\n");
            sb.Append("  VisMin: ").Append(VisMin).Append("\n");
            sb.Append("  VisAvg: ").Append(VisAvg).Append("\n");
            sb.Append("  VisMax: ").Append(VisMax).Append("\n");
            sb.Append("  WetBulbMin: ").Append(WetBulbMin).Append("\n");
            sb.Append("  WetBulbAvg: ").Append(WetBulbAvg).Append("\n");
            sb.Append("  WetBulbMax: ").Append(WetBulbMax).Append("\n");
            sb.Append("  WindChillMin: ").Append(WindChillMin).Append("\n");
            sb.Append("  WindChillAvg: ").Append(WindChillAvg).Append("\n");
            sb.Append("  WindChillMax: ").Append(WindChillMax).Append("\n");
            sb.Append("  WindDirAvg: ").Append(WindDirAvg).Append("\n");
            sb.Append("  WindDir80mAvg: ").Append(WindDir80mAvg).Append("\n");
            sb.Append("  WindDir100mAvg: ").Append(WindDir100mAvg).Append("\n");
            sb.Append("  WindSpdMin: ").Append(WindSpdMin).Append("\n");
            sb.Append("  WindSpdAvg: ").Append(WindSpdAvg).Append("\n");
            sb.Append("  WindSpdMax: ").Append(WindSpdMax).Append("\n");
            sb.Append("  WindSpd80mMin: ").Append(WindSpd80mMin).Append("\n");
            sb.Append("  WindSpd80mAvg: ").Append(WindSpd80mAvg).Append("\n");
            sb.Append("  WindSpd80mMax: ").Append(WindSpd80mMax).Append("\n");
            sb.Append("  WindSpd100mMin: ").Append(WindSpd100mMin).Append("\n");
            sb.Append("  WindSpd100mAvg: ").Append(WindSpd100mAvg).Append("\n");
            sb.Append("  WindSpd100mMax: ").Append(WindSpd100mMax).Append("\n");
            sb.Append("  PrecipHourCnt: ").Append(PrecipHourCnt).Append("\n");
            sb.Append("  SnowfallHourCnt: ").Append(SnowfallHourCnt).Append("\n");
            sb.Append("  FreezingRainFlagCnt: ").Append(FreezingRainFlagCnt).Append("\n");
            sb.Append("  IcePelletsFlagCnt: ").Append(IcePelletsFlagCnt).Append("\n");
            sb.Append("  RainFlagCnt: ").Append(RainFlagCnt).Append("\n");
            sb.Append("  SnowFlagCnt: ").Append(SnowFlagCnt).Append("\n");
            sb.Append("}\n");
            return sb.ToString();
        }
  
        /// <summary>
        /// Returns the JSON string presentation of the object
        /// </summary>
        /// <returns>JSON string presentation of the object</returns>
        public virtual string ToJson()
        {
            return JsonConvert.SerializeObject(this, Formatting.Indented);
        }

        /// <summary>
        /// Returns true if objects are equal
        /// </summary>
        /// <param name="input">Object to be compared</param>
        /// <returns>Boolean</returns>
        public override bool Equals(object input)
        {
            return this.Equals(input as HistoryDayObj);
        }

        /// <summary>
        /// Returns true if HistoryDayObj instances are equal
        /// </summary>
        /// <param name="input">Instance of HistoryDayObj to be compared</param>
        /// <returns>Boolean</returns>
        public bool Equals(HistoryDayObj input)
        {
            if (input == null)
                return false;

            return 
                (
                    this.Date == input.Date ||
                    (this.Date != null &&
                    this.Date.Equals(input.Date))
                ) && 
                (
                    this.ProvisionalFlag == input.ProvisionalFlag ||
                    (this.ProvisionalFlag != null &&
                    this.ProvisionalFlag.Equals(input.ProvisionalFlag))
                ) && 
                (
                    this.CldCvrMin == input.CldCvrMin ||
                    (this.CldCvrMin != null &&
                    this.CldCvrMin.Equals(input.CldCvrMin))
                ) && 
                (
                    this.CldCvrAvg == input.CldCvrAvg ||
                    (this.CldCvrAvg != null &&
                    this.CldCvrAvg.Equals(input.CldCvrAvg))
                ) && 
                (
                    this.CldCvrMax == input.CldCvrMax ||
                    (this.CldCvrMax != null &&
                    this.CldCvrMax.Equals(input.CldCvrMax))
                ) && 
                (
                    this.DewPtMin == input.DewPtMin ||
                    (this.DewPtMin != null &&
                    this.DewPtMin.Equals(input.DewPtMin))
                ) && 
                (
                    this.DewPtAvg == input.DewPtAvg ||
                    (this.DewPtAvg != null &&
                    this.DewPtAvg.Equals(input.DewPtAvg))
                ) && 
                (
                    this.DewPtMax == input.DewPtMax ||
                    (this.DewPtMax != null &&
                    this.DewPtMax.Equals(input.DewPtMax))
                ) && 
                (
                    this.FeelsLikeMin == input.FeelsLikeMin ||
                    (this.FeelsLikeMin != null &&
                    this.FeelsLikeMin.Equals(input.FeelsLikeMin))
                ) && 
                (
                    this.FeelsLikeAvg == input.FeelsLikeAvg ||
                    (this.FeelsLikeAvg != null &&
                    this.FeelsLikeAvg.Equals(input.FeelsLikeAvg))
                ) && 
                (
                    this.FeelsLikeMax == input.FeelsLikeMax ||
                    (this.FeelsLikeMax != null &&
                    this.FeelsLikeMax.Equals(input.FeelsLikeMax))
                ) && 
                (
                    this.HeatIndexMin == input.HeatIndexMin ||
                    (this.HeatIndexMin != null &&
                    this.HeatIndexMin.Equals(input.HeatIndexMin))
                ) && 
                (
                    this.HeatIndexAvg == input.HeatIndexAvg ||
                    (this.HeatIndexAvg != null &&
                    this.HeatIndexAvg.Equals(input.HeatIndexAvg))
                ) && 
                (
                    this.HeatIndexMax == input.HeatIndexMax ||
                    (this.HeatIndexMax != null &&
                    this.HeatIndexMax.Equals(input.HeatIndexMax))
                ) && 
                (
                    this.MslPresMin == input.MslPresMin ||
                    (this.MslPresMin != null &&
                    this.MslPresMin.Equals(input.MslPresMin))
                ) && 
                (
                    this.MslPresAvg == input.MslPresAvg ||
                    (this.MslPresAvg != null &&
                    this.MslPresAvg.Equals(input.MslPresAvg))
                ) && 
                (
                    this.MslPresMax == input.MslPresMax ||
                    (this.MslPresMax != null &&
                    this.MslPresMax.Equals(input.MslPresMax))
                ) && 
                (
                    this.Precip == input.Precip ||
                    (this.Precip != null &&
                    this.Precip.Equals(input.Precip))
                ) && 
                (
                    this.PresTendMin == input.PresTendMin ||
                    (this.PresTendMin != null &&
                    this.PresTendMin.Equals(input.PresTendMin))
                ) && 
                (
                    this.PresTendAvg == input.PresTendAvg ||
                    (this.PresTendAvg != null &&
                    this.PresTendAvg.Equals(input.PresTendAvg))
                ) && 
                (
                    this.PresTendMax == input.PresTendMax ||
                    (this.PresTendMax != null &&
                    this.PresTendMax.Equals(input.PresTendMax))
                ) && 
                (
                    this.RadSolarMin == input.RadSolarMin ||
                    (this.RadSolarMin != null &&
                    this.RadSolarMin.Equals(input.RadSolarMin))
                ) && 
                (
                    this.RadSolarAvg == input.RadSolarAvg ||
                    (this.RadSolarAvg != null &&
                    this.RadSolarAvg.Equals(input.RadSolarAvg))
                ) && 
                (
                    this.RadSolarMax == input.RadSolarMax ||
                    (this.RadSolarMax != null &&
                    this.RadSolarMax.Equals(input.RadSolarMax))
                ) && 
                (
                    this.RadSolarTot == input.RadSolarTot ||
                    (this.RadSolarTot != null &&
                    this.RadSolarTot.Equals(input.RadSolarTot))
                ) && 
                (
                    this.RelHumMin == input.RelHumMin ||
                    (this.RelHumMin != null &&
                    this.RelHumMin.Equals(input.RelHumMin))
                ) && 
                (
                    this.RelHumAvg == input.RelHumAvg ||
                    (this.RelHumAvg != null &&
                    this.RelHumAvg.Equals(input.RelHumAvg))
                ) && 
                (
                    this.RelHumMax == input.RelHumMax ||
                    (this.RelHumMax != null &&
                    this.RelHumMax.Equals(input.RelHumMax))
                ) && 
                (
                    this.SfcPresMin == input.SfcPresMin ||
                    (this.SfcPresMin != null &&
                    this.SfcPresMin.Equals(input.SfcPresMin))
                ) && 
                (
                    this.SfcPresAvg == input.SfcPresAvg ||
                    (this.SfcPresAvg != null &&
                    this.SfcPresAvg.Equals(input.SfcPresAvg))
                ) && 
                (
                    this.SfcPresMax == input.SfcPresMax ||
                    (this.SfcPresMax != null &&
                    this.SfcPresMax.Equals(input.SfcPresMax))
                ) && 
                (
                    this.SnowDepth == input.SnowDepth ||
                    (this.SnowDepth != null &&
                    this.SnowDepth.Equals(input.SnowDepth))
                ) && 
                (
                    this.Snowfall == input.Snowfall ||
                    (this.Snowfall != null &&
                    this.Snowfall.Equals(input.Snowfall))
                ) && 
                (
                    this.SpcHumMin == input.SpcHumMin ||
                    (this.SpcHumMin != null &&
                    this.SpcHumMin.Equals(input.SpcHumMin))
                ) && 
                (
                    this.SpcHumAvg == input.SpcHumAvg ||
                    (this.SpcHumAvg != null &&
                    this.SpcHumAvg.Equals(input.SpcHumAvg))
                ) && 
                (
                    this.SpcHumMax == input.SpcHumMax ||
                    (this.SpcHumMax != null &&
                    this.SpcHumMax.Equals(input.SpcHumMax))
                ) && 
                (
                    this.TempMin == input.TempMin ||
                    (this.TempMin != null &&
                    this.TempMin.Equals(input.TempMin))
                ) && 
                (
                    this.TempAvg == input.TempAvg ||
                    (this.TempAvg != null &&
                    this.TempAvg.Equals(input.TempAvg))
                ) && 
                (
                    this.TempMax == input.TempMax ||
                    (this.TempMax != null &&
                    this.TempMax.Equals(input.TempMax))
                ) && 
                (
                    this.VisMin == input.VisMin ||
                    (this.VisMin != null &&
                    this.VisMin.Equals(input.VisMin))
                ) && 
                (
                    this.VisAvg == input.VisAvg ||
                    (this.VisAvg != null &&
                    this.VisAvg.Equals(input.VisAvg))
                ) && 
                (
                    this.VisMax == input.VisMax ||
                    (this.VisMax != null &&
                    this.VisMax.Equals(input.VisMax))
                ) && 
                (
                    this.WetBulbMin == input.WetBulbMin ||
                    (this.WetBulbMin != null &&
                    this.WetBulbMin.Equals(input.WetBulbMin))
                ) && 
                (
                    this.WetBulbAvg == input.WetBulbAvg ||
                    (this.WetBulbAvg != null &&
                    this.WetBulbAvg.Equals(input.WetBulbAvg))
                ) && 
                (
                    this.WetBulbMax == input.WetBulbMax ||
                    (this.WetBulbMax != null &&
                    this.WetBulbMax.Equals(input.WetBulbMax))
                ) && 
                (
                    this.WindChillMin == input.WindChillMin ||
                    (this.WindChillMin != null &&
                    this.WindChillMin.Equals(input.WindChillMin))
                ) && 
                (
                    this.WindChillAvg == input.WindChillAvg ||
                    (this.WindChillAvg != null &&
                    this.WindChillAvg.Equals(input.WindChillAvg))
                ) && 
                (
                    this.WindChillMax == input.WindChillMax ||
                    (this.WindChillMax != null &&
                    this.WindChillMax.Equals(input.WindChillMax))
                ) && 
                (
                    this.WindDirAvg == input.WindDirAvg ||
                    (this.WindDirAvg != null &&
                    this.WindDirAvg.Equals(input.WindDirAvg))
                ) && 
                (
                    this.WindDir80mAvg == input.WindDir80mAvg ||
                    (this.WindDir80mAvg != null &&
                    this.WindDir80mAvg.Equals(input.WindDir80mAvg))
                ) && 
                (
                    this.WindDir100mAvg == input.WindDir100mAvg ||
                    (this.WindDir100mAvg != null &&
                    this.WindDir100mAvg.Equals(input.WindDir100mAvg))
                ) && 
                (
                    this.WindSpdMin == input.WindSpdMin ||
                    (this.WindSpdMin != null &&
                    this.WindSpdMin.Equals(input.WindSpdMin))
                ) && 
                (
                    this.WindSpdAvg == input.WindSpdAvg ||
                    (this.WindSpdAvg != null &&
                    this.WindSpdAvg.Equals(input.WindSpdAvg))
                ) && 
                (
                    this.WindSpdMax == input.WindSpdMax ||
                    (this.WindSpdMax != null &&
                    this.WindSpdMax.Equals(input.WindSpdMax))
                ) && 
                (
                    this.WindSpd80mMin == input.WindSpd80mMin ||
                    (this.WindSpd80mMin != null &&
                    this.WindSpd80mMin.Equals(input.WindSpd80mMin))
                ) && 
                (
                    this.WindSpd80mAvg == input.WindSpd80mAvg ||
                    (this.WindSpd80mAvg != null &&
                    this.WindSpd80mAvg.Equals(input.WindSpd80mAvg))
                ) && 
                (
                    this.WindSpd80mMax == input.WindSpd80mMax ||
                    (this.WindSpd80mMax != null &&
                    this.WindSpd80mMax.Equals(input.WindSpd80mMax))
                ) && 
                (
                    this.WindSpd100mMin == input.WindSpd100mMin ||
                    (this.WindSpd100mMin != null &&
                    this.WindSpd100mMin.Equals(input.WindSpd100mMin))
                ) && 
                (
                    this.WindSpd100mAvg == input.WindSpd100mAvg ||
                    (this.WindSpd100mAvg != null &&
                    this.WindSpd100mAvg.Equals(input.WindSpd100mAvg))
                ) && 
                (
                    this.WindSpd100mMax == input.WindSpd100mMax ||
                    (this.WindSpd100mMax != null &&
                    this.WindSpd100mMax.Equals(input.WindSpd100mMax))
                ) && 
                (
                    this.PrecipHourCnt == input.PrecipHourCnt ||
                    (this.PrecipHourCnt != null &&
                    this.PrecipHourCnt.Equals(input.PrecipHourCnt))
                ) && 
                (
                    this.SnowfallHourCnt == input.SnowfallHourCnt ||
                    (this.SnowfallHourCnt != null &&
                    this.SnowfallHourCnt.Equals(input.SnowfallHourCnt))
                ) && 
                (
                    this.FreezingRainFlagCnt == input.FreezingRainFlagCnt ||
                    (this.FreezingRainFlagCnt != null &&
                    this.FreezingRainFlagCnt.Equals(input.FreezingRainFlagCnt))
                ) && 
                (
                    this.IcePelletsFlagCnt == input.IcePelletsFlagCnt ||
                    (this.IcePelletsFlagCnt != null &&
                    this.IcePelletsFlagCnt.Equals(input.IcePelletsFlagCnt))
                ) && 
                (
                    this.RainFlagCnt == input.RainFlagCnt ||
                    (this.RainFlagCnt != null &&
                    this.RainFlagCnt.Equals(input.RainFlagCnt))
                ) && 
                (
                    this.SnowFlagCnt == input.SnowFlagCnt ||
                    (this.SnowFlagCnt != null &&
                    this.SnowFlagCnt.Equals(input.SnowFlagCnt))
                );
        }

        /// <summary>
        /// Gets the hash code
        /// </summary>
        /// <returns>Hash code</returns>
        public override int GetHashCode()
        {
            unchecked // Overflow is fine, just wrap
            {
                int hashCode = 41;
                if (this.Date != null)
                    hashCode = hashCode * 59 + this.Date.GetHashCode();
                if (this.ProvisionalFlag != null)
                    hashCode = hashCode * 59 + this.ProvisionalFlag.GetHashCode();
                if (this.CldCvrMin != null)
                    hashCode = hashCode * 59 + this.CldCvrMin.GetHashCode();
                if (this.CldCvrAvg != null)
                    hashCode = hashCode * 59 + this.CldCvrAvg.GetHashCode();
                if (this.CldCvrMax != null)
                    hashCode = hashCode * 59 + this.CldCvrMax.GetHashCode();
                if (this.DewPtMin != null)
                    hashCode = hashCode * 59 + this.DewPtMin.GetHashCode();
                if (this.DewPtAvg != null)
                    hashCode = hashCode * 59 + this.DewPtAvg.GetHashCode();
                if (this.DewPtMax != null)
                    hashCode = hashCode * 59 + this.DewPtMax.GetHashCode();
                if (this.FeelsLikeMin != null)
                    hashCode = hashCode * 59 + this.FeelsLikeMin.GetHashCode();
                if (this.FeelsLikeAvg != null)
                    hashCode = hashCode * 59 + this.FeelsLikeAvg.GetHashCode();
                if (this.FeelsLikeMax != null)
                    hashCode = hashCode * 59 + this.FeelsLikeMax.GetHashCode();
                if (this.HeatIndexMin != null)
                    hashCode = hashCode * 59 + this.HeatIndexMin.GetHashCode();
                if (this.HeatIndexAvg != null)
                    hashCode = hashCode * 59 + this.HeatIndexAvg.GetHashCode();
                if (this.HeatIndexMax != null)
                    hashCode = hashCode * 59 + this.HeatIndexMax.GetHashCode();
                if (this.MslPresMin != null)
                    hashCode = hashCode * 59 + this.MslPresMin.GetHashCode();
                if (this.MslPresAvg != null)
                    hashCode = hashCode * 59 + this.MslPresAvg.GetHashCode();
                if (this.MslPresMax != null)
                    hashCode = hashCode * 59 + this.MslPresMax.GetHashCode();
                if (this.Precip != null)
                    hashCode = hashCode * 59 + this.Precip.GetHashCode();
                if (this.PresTendMin != null)
                    hashCode = hashCode * 59 + this.PresTendMin.GetHashCode();
                if (this.PresTendAvg != null)
                    hashCode = hashCode * 59 + this.PresTendAvg.GetHashCode();
                if (this.PresTendMax != null)
                    hashCode = hashCode * 59 + this.PresTendMax.GetHashCode();
                if (this.RadSolarMin != null)
                    hashCode = hashCode * 59 + this.RadSolarMin.GetHashCode();
                if (this.RadSolarAvg != null)
                    hashCode = hashCode * 59 + this.RadSolarAvg.GetHashCode();
                if (this.RadSolarMax != null)
                    hashCode = hashCode * 59 + this.RadSolarMax.GetHashCode();
                if (this.RadSolarTot != null)
                    hashCode = hashCode * 59 + this.RadSolarTot.GetHashCode();
                if (this.RelHumMin != null)
                    hashCode = hashCode * 59 + this.RelHumMin.GetHashCode();
                if (this.RelHumAvg != null)
                    hashCode = hashCode * 59 + this.RelHumAvg.GetHashCode();
                if (this.RelHumMax != null)
                    hashCode = hashCode * 59 + this.RelHumMax.GetHashCode();
                if (this.SfcPresMin != null)
                    hashCode = hashCode * 59 + this.SfcPresMin.GetHashCode();
                if (this.SfcPresAvg != null)
                    hashCode = hashCode * 59 + this.SfcPresAvg.GetHashCode();
                if (this.SfcPresMax != null)
                    hashCode = hashCode * 59 + this.SfcPresMax.GetHashCode();
                if (this.SnowDepth != null)
                    hashCode = hashCode * 59 + this.SnowDepth.GetHashCode();
                if (this.Snowfall != null)
                    hashCode = hashCode * 59 + this.Snowfall.GetHashCode();
                if (this.SpcHumMin != null)
                    hashCode = hashCode * 59 + this.SpcHumMin.GetHashCode();
                if (this.SpcHumAvg != null)
                    hashCode = hashCode * 59 + this.SpcHumAvg.GetHashCode();
                if (this.SpcHumMax != null)
                    hashCode = hashCode * 59 + this.SpcHumMax.GetHashCode();
                if (this.TempMin != null)
                    hashCode = hashCode * 59 + this.TempMin.GetHashCode();
                if (this.TempAvg != null)
                    hashCode = hashCode * 59 + this.TempAvg.GetHashCode();
                if (this.TempMax != null)
                    hashCode = hashCode * 59 + this.TempMax.GetHashCode();
                if (this.VisMin != null)
                    hashCode = hashCode * 59 + this.VisMin.GetHashCode();
                if (this.VisAvg != null)
                    hashCode = hashCode * 59 + this.VisAvg.GetHashCode();
                if (this.VisMax != null)
                    hashCode = hashCode * 59 + this.VisMax.GetHashCode();
                if (this.WetBulbMin != null)
                    hashCode = hashCode * 59 + this.WetBulbMin.GetHashCode();
                if (this.WetBulbAvg != null)
                    hashCode = hashCode * 59 + this.WetBulbAvg.GetHashCode();
                if (this.WetBulbMax != null)
                    hashCode = hashCode * 59 + this.WetBulbMax.GetHashCode();
                if (this.WindChillMin != null)
                    hashCode = hashCode * 59 + this.WindChillMin.GetHashCode();
                if (this.WindChillAvg != null)
                    hashCode = hashCode * 59 + this.WindChillAvg.GetHashCode();
                if (this.WindChillMax != null)
                    hashCode = hashCode * 59 + this.WindChillMax.GetHashCode();
                if (this.WindDirAvg != null)
                    hashCode = hashCode * 59 + this.WindDirAvg.GetHashCode();
                if (this.WindDir80mAvg != null)
                    hashCode = hashCode * 59 + this.WindDir80mAvg.GetHashCode();
                if (this.WindDir100mAvg != null)
                    hashCode = hashCode * 59 + this.WindDir100mAvg.GetHashCode();
                if (this.WindSpdMin != null)
                    hashCode = hashCode * 59 + this.WindSpdMin.GetHashCode();
                if (this.WindSpdAvg != null)
                    hashCode = hashCode * 59 + this.WindSpdAvg.GetHashCode();
                if (this.WindSpdMax != null)
                    hashCode = hashCode * 59 + this.WindSpdMax.GetHashCode();
                if (this.WindSpd80mMin != null)
                    hashCode = hashCode * 59 + this.WindSpd80mMin.GetHashCode();
                if (this.WindSpd80mAvg != null)
                    hashCode = hashCode * 59 + this.WindSpd80mAvg.GetHashCode();
                if (this.WindSpd80mMax != null)
                    hashCode = hashCode * 59 + this.WindSpd80mMax.GetHashCode();
                if (this.WindSpd100mMin != null)
                    hashCode = hashCode * 59 + this.WindSpd100mMin.GetHashCode();
                if (this.WindSpd100mAvg != null)
                    hashCode = hashCode * 59 + this.WindSpd100mAvg.GetHashCode();
                if (this.WindSpd100mMax != null)
                    hashCode = hashCode * 59 + this.WindSpd100mMax.GetHashCode();
                if (this.PrecipHourCnt != null)
                    hashCode = hashCode * 59 + this.PrecipHourCnt.GetHashCode();
                if (this.SnowfallHourCnt != null)
                    hashCode = hashCode * 59 + this.SnowfallHourCnt.GetHashCode();
                if (this.FreezingRainFlagCnt != null)
                    hashCode = hashCode * 59 + this.FreezingRainFlagCnt.GetHashCode();
                if (this.IcePelletsFlagCnt != null)
                    hashCode = hashCode * 59 + this.IcePelletsFlagCnt.GetHashCode();
                if (this.RainFlagCnt != null)
                    hashCode = hashCode * 59 + this.RainFlagCnt.GetHashCode();
                if (this.SnowFlagCnt != null)
                    hashCode = hashCode * 59 + this.SnowFlagCnt.GetHashCode();
                return hashCode;
            }
        }

        /// <summary>
        /// To validate all properties of the instance
        /// </summary>
        /// <param name="validationContext">Validation context</param>
        /// <returns>Validation Result</returns>
        IEnumerable<System.ComponentModel.DataAnnotations.ValidationResult> IValidatableObject.Validate(ValidationContext validationContext)
        {
            yield break;
        }
    }
}
