/* 
 * Weather Source History API
 *
 * Daily and hourly historical weather data for latitude/longitude points, Zip/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source History API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 */
using System;
using System.Linq;
using System.IO;
using System.Text;
using System.Text.RegularExpressions;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Runtime.Serialization;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System.ComponentModel.DataAnnotations;
using SwaggerDateConverter = IO.Swagger.Client.SwaggerDateConverter;

namespace IO.Swagger.Model
{
    /// <summary>
    /// A timestamp range object
    /// </summary>
    [DataContract]
        public partial class TimestampRangeObj :  IEquatable<TimestampRangeObj>, IValidatableObject
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TimestampRangeObj" /> class.
        /// </summary>
        /// <param name="timestampStart">timestampStart (required).</param>
        /// <param name="timestampEnd">timestampEnd (required).</param>
        public TimestampRangeObj(TimestampStart timestampStart = default(TimestampStart), TimestampEnd timestampEnd = default(TimestampEnd))
        {
            // to ensure "timestampStart" is required (not null)
            if (timestampStart == null)
            {
                throw new InvalidDataException("timestampStart is a required property for TimestampRangeObj and cannot be null");
            }
            else
            {
                this.TimestampStart = timestampStart;
            }
            // to ensure "timestampEnd" is required (not null)
            if (timestampEnd == null)
            {
                throw new InvalidDataException("timestampEnd is a required property for TimestampRangeObj and cannot be null");
            }
            else
            {
                this.TimestampEnd = timestampEnd;
            }
        }
        
        /// <summary>
        /// Gets or Sets TimestampStart
        /// </summary>
        [DataMember(Name="timestampStart", EmitDefaultValue=false)]
        public TimestampStart TimestampStart { get; set; }

        /// <summary>
        /// Gets or Sets TimestampEnd
        /// </summary>
        [DataMember(Name="timestampEnd", EmitDefaultValue=false)]
        public TimestampEnd TimestampEnd { get; set; }

        /// <summary>
        /// Returns the string presentation of the object
        /// </summary>
        /// <returns>String presentation of the object</returns>
        public override string ToString()
        {
            var sb = new StringBuilder();
            sb.Append("class TimestampRangeObj {\n");
            sb.Append("  TimestampStart: ").Append(TimestampStart).Append("\n");
            sb.Append("  TimestampEnd: ").Append(TimestampEnd).Append("\n");
            sb.Append("}\n");
            return sb.ToString();
        }
  
        /// <summary>
        /// Returns the JSON string presentation of the object
        /// </summary>
        /// <returns>JSON string presentation of the object</returns>
        public virtual string ToJson()
        {
            return JsonConvert.SerializeObject(this, Formatting.Indented);
        }

        /// <summary>
        /// Returns true if objects are equal
        /// </summary>
        /// <param name="input">Object to be compared</param>
        /// <returns>Boolean</returns>
        public override bool Equals(object input)
        {
            return this.Equals(input as TimestampRangeObj);
        }

        /// <summary>
        /// Returns true if TimestampRangeObj instances are equal
        /// </summary>
        /// <param name="input">Instance of TimestampRangeObj to be compared</param>
        /// <returns>Boolean</returns>
        public bool Equals(TimestampRangeObj input)
        {
            if (input == null)
                return false;

            return 
                (
                    this.TimestampStart == input.TimestampStart ||
                    (this.TimestampStart != null &&
                    this.TimestampStart.Equals(input.TimestampStart))
                ) && 
                (
                    this.TimestampEnd == input.TimestampEnd ||
                    (this.TimestampEnd != null &&
                    this.TimestampEnd.Equals(input.TimestampEnd))
                );
        }

        /// <summary>
        /// Gets the hash code
        /// </summary>
        /// <returns>Hash code</returns>
        public override int GetHashCode()
        {
            unchecked // Overflow is fine, just wrap
            {
                int hashCode = 41;
                if (this.TimestampStart != null)
                    hashCode = hashCode * 59 + this.TimestampStart.GetHashCode();
                if (this.TimestampEnd != null)
                    hashCode = hashCode * 59 + this.TimestampEnd.GetHashCode();
                return hashCode;
            }
        }

        /// <summary>
        /// To validate all properties of the instance
        /// </summary>
        /// <param name="validationContext">Validation context</param>
        /// <returns>Validation Result</returns>
        IEnumerable<System.ComponentModel.DataAnnotations.ValidationResult> IValidatableObject.Validate(ValidationContext validationContext)
        {
            yield break;
        }
    }
}
